#include "stdinc.h"
#include "PGLoader.h"
#include "Util.h"
#include "SettingsManager.h"

PGPlugin::~PGPlugin(){
	if(instance != NULL)
		FreeLibrary ( instance );
}

bool PGLoader::LoadPGDll(){
	HMODULE hr = LoadLibrary(Text::toT(Util::getDataPath() + "PeerGuardian.dll").c_str());
	if(!hr) {
		SettingsManager::getInstance()->set(SettingsManager::PG_ENABLE, false);
		return false;
	}

	typedef PGApi* (CALLBACK* LPFNDLLFUNC)();
	LPFNDLLFUNC pfn = (LPFNDLLFUNC)GetProcAddress(hr,(LPCSTR)"getObject");
	if(pfn == NULL) return false;

	pg= new PGPlugin();		

	if((pg->api = pfn()) == NULL){
		delete pg;
		return false;
	}
	pg->instance = hr;
	updateBlockList();
	return true;
}


PGLoader::PGLoader(){
	usePg = LoadPGDll();
}

bool PGLoader::notAbused() {
	if(usePg) {
		if((PGLoader::getIPBlockBool("1.1.1.1") && PGLoader::getIPBlockBool("255.255.255.255")) && (PGLoader::getIPBlock("1.1.1.1") == PGLoader::getIPBlock("255.255.255.255"))) {
			SettingsManager::getInstance()->set(SettingsManager::PG_ENABLE, false);
			return false;
		} else
			return true;
	} else {
		return true;
	}
}

string PGLoader::getIPBlock(const string aIP){ if(usePg){ return pg->api->ParseIP(aIP);} return ""; } 
bool PGLoader::getIPBlockBool(const string aIP){ 	if(usePg){ pg->api->ParseIP(aIP).empty() ? false : true; } return false;} 
bool PGLoader::isRunning(){ return usePg ? pg->api->isRunning() : false; }
bool PGLoader::isLoaded(){ return usePg; }
int PGLoader::getTotalIPRanges(){ return usePg ? pg->api->getTotalIPRanges() : 0; }
string PGLoader::getDescr(){ return usePg ? pg->api->getDescr() : ""; }
void PGLoader::updateBlockList(){ if(usePg) pg->api->ReloadBlockList(); }