#ifndef PGLOADER_H
#define PGLOADER_H

#include <string>
#include <vector>
using namespace std;

#include "Singleton.h"

class PGApi{
public:
	PGApi(){}
	// Must supply a valid IPv4 (123.123.123.123)
	virtual bool isRunning(){return false;}

	virtual int getTotalIPRanges(){return 0;}
	virtual string getDescr(){return "";}
	virtual string ParseIP(const string& /*aIP*/){return "";}
	virtual void ReloadBlockList(){} // only necessary if block list has been changed..
};


class PGPlugin{
public:
	PGPlugin() : instance(NULL), api(NULL) {}
	virtual ~PGPlugin();
	HMODULE instance;
	PGApi* api;	
};


class PGLoader : public Singleton<PGLoader>{
public:
	PGLoader();
	~PGLoader(){}
	string getIPBlock(const string aIP); // Return company name if available(blocked)
	bool getIPBlockBool(const string aIP);
	bool isRunning();
	bool isLoaded();
	bool notAbused();
	int getTotalIPRanges();
	string getDescr();
	void updateBlockList();

private:
	bool usePg;
	bool LoadPGDll();
	friend class Singleton<PGLoader>;
	PGPlugin* pg;

};


#endif 