// @Prolog: #include "stdinc.h"
// @Prolog: #include "ResourceManager.h"
// @Strings: string ResourceManager::strings[]
// @Names: string ResourceManager::names[]

enum Strings { // @DontAdd
        ACCEPTED_DISCONNECTS, // " "
        ACCEPTED_TIMEOUTS, // "  "
        ACTIVE_SEARCH_STRING, // " /  "
        ADD, // "&"
        ADD_AS_SOURCE, // " "
        ADD_FINISHED_INSTANTLY, // "       ( )"
        ADD_TO_FAVORITES, // " "
        ADDED, // ""
        ADL_SEARCH, // "   "
        ADLS_DESTINATION, // " "
        ADLS_DISCARD, // " "
        ADLS_DOWNLOAD, // " "
        ADLS_ENABLED, // ""
        ADLS_FULL_PATH, // " "
        ADLS_PROPERTIES, // "  ADL"
        ADLS_SEARCH_STRING, // " "
        ADLS_SIZE_MAX, // "  "
        ADLS_SIZE_MIN, // "  "
        ADLS_TYPE, // " "
        ADLS_UNITS, // ""
        ALL, // ""
        ALL_DOWNLOAD_SLOTS_TAKEN, // "  "
        ALL_FILE_SLOTS_TAKEN, // "    "
        ALTERNATES_SEND, // "  TTH : "
        ANTI_PASSIVE_SEARCH, // "--  --\r\n--   ,     . --\r\n--             --\r\n--        !!! --\r\n--     => SababaDC =>     --\r\n"
        ANY, // ""
        ASCROLL_CHAT, // "   "
        AT_LEAST, // " "
        AT_MOST, // " "
        AUDIO, // ""
        AUTO, // ""
        AUTO_CONNECT, // "  / "
        AUTO_GRANT, // "   / "
        AUTOMATIC, // ""
        AVERAGE, // "/: "
        AVERAGE_UPLOAD, // " "
        AWAY, // " "
        AWAY_MODE_OFF, // " \" \" "
        AWAY_MODE_ON, // " \" \" : "
        LIMITER_OFF, // "  "
        LIMITER_ON, // "  "
        TRAY_LIMITER, // "  \tF4"
        B, // "B"
        BALLOON_POPUPS, // " "
        BITZI_LOOKUP, // " -Bitzi"
        BLOCK_FINISHED, // " , ..."
        BROWSE, // "..."
        BROWSE_ACCEL, // "&..."
        BROWSE_FILE_LIST, // "   "
        BUMPED, // ""
        CANCEL, // ""
        CERTIFICATE_NOT_TRUSTED, // "  ,   "
        CERTIFICATE_GENERATION_FAILED, // "TLS ,   : "
        CLEAR, // " "
        CLOSE, // ""
        CLOSE_CONNECTION, // ""
        COLLAPSE_ALL, // " "
        COLOR_FAST, // "   "
        COLOR_OP, // "   "
        COLOR_PASIVE, // " "
        COLOR_SERVER, // "  "
        COMMAND_TOO_LONG, // "   "
        COMPRESSED, // ""
        COMPRESSION_ERROR, // "  "
        CONFIGURE, // "&"
        CONFIGURED_HUB_LISTS, // "   "
        CONNECT, // "&"
        CONNECT_ALL, // "  "
        CONNECT_FAVUSER_HUB, // " "
        CONNECTED, // ""
        CONNECTING, // "..."
        CONNECTING_FORCED, // " ()..."
        CONNECTING_TO, // "  "
        CONNECTING_TO_SERVER, // " "
        CONNECTION, // ""
        CONNECTION_CLOSED, // ""
        CONNECTION_ERROR, // " "
        CONNECTION_TIMEOUT, // " "
        COPY, // ""
        COPY_ALL, // " "
        COPY_DESCRIPTION, // " "
        COPY_EMAIL_ADDRESS, // "  "
        COPY_EXACT_SHARE, // "   "
        COPY_HUB, // "  "
        COPY_IP, // " IP"
        COPY_LINE, // "   "
        COPY_MAGNET_LINK, // "  "
        COPY_NICK, // " "
        COPY_NICK_IP, // " +IP"
        COPY_TAG, // "   "
        COPY_URL, // " "
        CORRUPTION_DETECTED, // "   "
        COULD_NOT_OPEN_TARGET_FILE, // "     : "
        COUNT, // ""
        COUNTRY, // ""
        CURRENT_VERSION, // " "
        DATA_RETRIEVED, // " "
        DECOMPRESSION_ERROR, // "   "
        DEFAULT, // " "
        DESCRIPTION, // ""
        DESTINATION, // ""
        DIRECTORY, // ""
        DIRECTORY_ADD_ERROR, // "      "
        DISABLE_SOUNDS, // " "
        DISABLED, // ""
        DISCONNECT_ALL, // "  "
        DISCONNECTED, // ""
        DISCONNECTED_USER, // "    : "
        DOCUMENT, // ""
        DONE, // ""
        DONT_ADD_SEGMENT_TEXT, // "        -"
        DONT_REMOVE_SLASH_PASSWORD, // "  /   "
        DONT_SHARE_TEMP_DIRECTORY, // "      "
        DOWNLOAD, // ""
        DOWNLOAD_FAILED, // " : "
        DOWNLOAD_FINISHED_IDLE, // " , ..."
        DOWNLOAD_QUEUE, // " "
        DOWNLOAD_STARTING, // " ..."
        DOWNLOAD_TO, // " ..."
        DOWNLOAD_WHOLE_DIR, // "   "
        DOWNLOAD_WHOLE_DIR_TO, // "    ..."
        DOWNLOAD_WITH_PRIORITY, // "  ..."
        DOWNLOADED, // ""
        DOWNLOADED_BYTES, // " %s (%.01f%%) | %s"
        DOWNLOADED_FROM, // "  - "
        DOWNLOADED_PARTS, // " "
        DOWNLOADING, // "..."
        DOWNLOADING_HUB_LIST, // "   ..."
        DOWNLOADING_LIST, // " ..."
        DU, // "/:"
        DUPLICATE_SOURCE, // " "
        EB, // "EB"
        EDIT_ACCEL, // "&"
        EMAIL, // ""
        ENABLE_MULTI_SOURCE, // "  "
        ENTER_NICK, // "    !"
        ENTER_PASSWORD, // "  "
        ENTER_SEARCH_STRING, // "  "
        ERROR_CREATING_HASH_DATA_FILE, // "      file: "
        ERROR_CREATING_REGISTRY_KEY_ADC, // "    adc  "
        ERROR_CREATING_REGISTRY_KEY_DCHUB, // "    dchub  "
        ERROR_CREATING_REGISTRY_KEY_MAGNET, // "       "
        ERROR_HASHING, // "     "
        ERROR_SAVING_HASH, // "    : "
        ERRORS, // ""
        EXACT_SHARED, // " "
        EXACT_SIZE, // " "
        EXECUTABLE, // "-"
        EXPAND_ALL, // " "
        EXPANDED_RESULTS, // "   "
        EXTRA_HUB_SLOTS, // " "
        EXTRA_SLOTS_SET, // "  "
        FAILED_TO_SHUTDOWN, // " !"
        FAILED_TO_LOAD_CERTIFICATE, // "    "
        FAILED_TO_LOAD_PRIVATE_KEY, // "    "
        FAV_JOIN_SHOWING_OFF, // "   / "
        FAV_JOIN_SHOWING_ON, // "   / "
        FAVORITE_DIR_NAME, // " "
        FAVORITE_DIR_NAME_LONG, // "   "
        FAVORITE_HUB_ADDED, // "  "
        FAVORITE_HUB_ALREADY_EXISTS, // "     "
        FAVORITE_HUB_DOES_NOT_EXIST, // "    "
        FAVORITE_HUB_IDENTITY, // " (    )"
        FAVORITE_HUB_PROPERTIES, // "  "
        FAVORITE_HUB_REMOVED, // "  "
        FAVORITE_HUBS, // " "
        FAVORITE_USER_ADDED, // "  "
        FAVORITE_USERS, // " "
        FAVUSER_ONLINE, // "  "
        FILE, // ""
        FILE_LIST_DIFF, // " "
        FILE_LIST_REFRESH_FAILED, // "    : "
        FILE_LIST_REFRESH_FINISHED, // "   "
        FILE_LIST_REFRESH_IN_PROGRESS, // "   ,         "
        FILE_LIST_REFRESH_INITIATED, // "   "
        FILE_NOT_AVAILABLE, // "  "
        FILE_TYPE, // " "
        FILE_WITH_DIFFERENT_SIZE, // "      "
        FILE_WITH_DIFFERENT_TTH, // "       "
        FILENAME, // " "
        FILES, // ""
        FILES_LEFT, // " "
        FILES_PER_HOUR, // "/"
        FILTER, // "&"
        FILTERED, // ""
        FIND, // ""
        FINISHED_DOWNLOAD, // " : %s"
        FINISHED_DOWNLOADS, // " "
        FINISHED_UPLOAD, // " : %s : %s"
        FINISHED_UPLOADS, // " "
        FOLDER, // ""
        FORBIDDEN, // " "
        FORBIDDEN_DOLLAR_FILE, // "      '$'    : "
        FORCE_ATTEMPT, // " "
        GARBAGE_INCOMING, // "    (   p2p   )"
        GARBAGE_OUTGOING, // "    (   p2p   )"
        GB, // "GB"
        GET_FILE_LIST, // "  "
        GET_USER_RESPONSES, // "  "
        GO_TO_DIRECTORY, // " "
        GRANT_EXTRA_SLOT, // "   (10 )"
        GRANT_EXTRA_SLOT_DAY, // "   ()"
        GRANT_EXTRA_SLOT_HOUR, // "   ()"
        GRANT_EXTRA_SLOT_WEEK, // "   ()"
        GRANT_SLOTS_MENU, // " "
        HASH_DATABASE, // "    "
        HASH_PROGRESS, // "    ..."
        HASH_PROGRESS_BACKGROUND, // " "
        HASH_PROGRESS_STATS, // ""
        HASH_PROGRESS_TEXT, // "     -SababaDC      (      )..."
        HASH_READ_FAILED, // "     "
        HASH_REBUILT, // "   "
        HASHING_FAILED, // "  : "
        HASHING_FINISHED, // "  : "
        HIBERNATE, // " "
        HIGH, // ""
        HIGHEST, // " "
        HISTORY, // ""
        HIT_COUNT, // ""
        HIT_RATIO, // " : "
        HITS, // ": "
        HUB, // ""
        HUB_ADDRESS, // ""
        HUB_CONNECTED, // " "
        HUB_DISCONNECTED, // " "
        HUB_LIST, // " "
        HUB_LIST_DOWNLOADED, // "  ..."
        HUB_LIST_EDIT, // "   "
        HUB_NAME, // ""
        HUB_SEGMENTS, // " / "
        HUB_TOPIC, // " :"
        HUB_USERS, // ""
        HUBS, // ""
        CHATDBLCLICKACTION, // "   "
        CHEATING_USER, // "  "
        CHECK_0BYTE_SHARE, // "   "
        CHECK_FILELIST, // "  "
        CHECK_FORBIDDEN, // "   : %s"
        CHECK_INFLATED, // "   %s "
        CHECK_MISMATCHED_SHARE_SIZE, // "    - "
        CHECK_ON_CONNECT, // "   "
        CHECK_SHOW_REAL_SHARE, // ",   = %[shareshort],   = %[realshareformat]"
        CHECKING_CLIENT, // " ..."
        CHOOSE_FOLDER, // " "
        CHUNK_OVERLAPPED, // "      "
        IGNORE_TTH_SEARCHES, // "  TTH"
        IGNORE_USER, // " "
        IGNORED_MESSAGE, // "  : "
        INCOMPLETE_FAV_HUB, // "     ."
        INVALID_LISTNAME, // "    "
        INVALID_NUMBER_OF_SLOTS, // "   "
        INVALID_SIZE, // "  "
        INVALID_TARGET_FILE, // "    ( ,     ) "
        INVALID_TREE, // "    -TTH "
        IP, // "Ip: "
        IP_BARE, // "Ip"
        ITEMS, // ""
        JOIN_SHOWING_OFF, // " / "
        JOIN_SHOWING_ON, // " / "
        JOINS, // ": "
        KB, // "kB"
        KBPS, // "kB/s"
        KBPS_DISABLE, // "kB/s (0 = )"
        KICK_USER, // " ()"
        KICK_USER_FILE, // " ()   "
        LARGER_TARGET_FILE_EXISTS, // "         "
        LAST_HUB, // " (   )"
        LAST_CHANGE, // " : "
        LAST_SEEN, // "   "
        LATEST_VERSION, // " "
        LEAF_CORRUPTED, // " ,    %s..."
        LEFT, // ""
        LEFT_COLOR, // " "
        LIB_CRASH, // " \"%s\"     - SababaDC.   ,  ,    ."
        LISTENER_FAILED, // "    (    SababaDC): "
        LOADED_FILE_LIST, // "  ."
        LOADING_FILE_LIST, // "  ,       ."
        LOG_OFF, // ""
        LOW, // ""
        LOWEST, // " "
        MAGNET_DLG_FILE, // " :"
        MAGNET_DLG_HASH, // " :"
        MAGNET_DLG_NOTHING, // "  "
        MAGNET_DLG_QUEUE, // "    "
        MAGNET_DLG_REMEMBER, // "       "
        MAGNET_DLG_SEARCH, // "  "
        MAGNET_DLG_SIZE, // " :"
        MAGNET_DLG_TEXT_BAD, // "   -SababaDC,          DC.    ."
        MAGNET_DLG_TEXT_GOOD, // "SababaDC          DC.    ?"
        MAGNET_DLG_TITLE, // "  "
        MAGNET_HANDLER_DESC, // "   DC"
        MAGNET_HANDLER_ROOT, // "SababaDC"
        MAGNET_SHELL_DESC, // "URL:MAGNET URI"
        MATCH_QUEUE, // " "
        MATCHED_FILES, // " %d ()"
        MAX_HUBS, // " - "
        MAX_SEGMENTS_NUMBER, // " - "
        MAX_SIZE, // " - "
        MAX_USERS, // " - "
        MB, // "MB"
        MBITSPS, // "MBits/s"
        MBPS, // "MB/s"
        MENU_ABOUT, // "\tF3"
        MENU_ADL_SEARCH, // " ADL\tCtrl+Shift+A"
        MENU_BROWSER, // " \tF2"
        MENU_CDMDEBUG_MESSAGES, // " CDM Debug"
        MENU_CLOSE_ALL_DIR_LIST, // "    \tCtrl+F10"
        MENU_CLOSE_ALL_OFFLINE_PM, // "    \tCtrl+F9"
        MENU_CLOSE_ALL_PM, // "  \tCtrl+F8"
        MENU_CLOSE_ALL_SEARCHFRAME, // "   \tCtrl+F7"
        MENU_CLOSE_DISCONNECTED, // "  \tCtrl+F2"        
        MENU_CONNECT_FAVORITES, // "  \tCtrl+F6"
        MENU_RECONNECT_DISCONNECTED, // "   \tCtrl+F1"
        MENU_CLOSE_ALL_HUBS, // "   \tCtrl+F3"
        MENU_CLOSE_HUBS_BELOW, // "    \tCtrl+F4"
        MENU_CLOSE_HUBS_EMPTY, // "   \tCtrl+F5"
        MENU_DOWNLOAD_QUEUE, // " &\tCtrl+D"
        MENU_EXIT, // "&\tAlt+X"
        MENU_FAVORITE_HUBS, // " &\tCtrl+F"
        MENU_FAVORITE_USERS, // " &\tCtrl+U"
        MENU_FILE, // "&"
        MENU_FILE_RECENT_HUBS, // " &\tCtrl+B"
        MENU_FINISHED_DOWNLOADS, // "& \tCtrl+Shift+F"
        MENU_FINISHED_UPLOADS, // "& \tCtrl+Shift+G"
        MENU_FOLLOW_REDIRECT, // "  &  \tCtrl+T"
        MENU_HASH_PROGRESS, // "  & \tCtrl+W"
        MENU_HELP_POPUP, // "&"
        MENU_HELP, // "&\tF1"
        MENU_NETWORK, // "&"
        MENU_HELP_GEOIPFILE, // " &GeoIP\tF11"
        MENU_HOMEPAGE, // " &\tF10"
        MENU_NETWORK_STATISTICS, // " &\tCtrl+O"
        MENU_NOTEPAD, // "& \tCtrl+N"
        MENU_OPEN_DOWNLOADS_DIR, // "   \tF8"
        MENU_OPEN_FILE_LIST, // "   ...\tCtrl+L"
        MENU_OPEN_MATCH_ALL, // "  \tCtrl+M"
        MENU_OPEN_OWN_LIST, // "    \tF7"
        MENU_PUBLIC_HUBS, // " &\tCtrl+P"
        MENU_QUICK_CONNECT, // "&  ...\tCtrl+Q"
        MENU_RECONNECT, // " &\tCtrl+R"
        MENU_REFRESH_FILE_LIST, // "&  \tCtrl+E"
        MENU_SEARCH_POPUP, // "&"
        MENU_SEARCH, // "&\tCtrl+S"
        MENU_SEARCH_SPY, // "& \tCtrl+Y"
        MENU_SETTINGS, // "&...\tF6"
        MENU_SHARE, // "&"
        MENU_SHOW, // " SababaDC"
        MENU_STATUS_BAR, // " &\tCtrl+2"
        MENU_TOOLBAR, // "& \tCtrl+1"
        MENU_TRANSFER_VIEW, // " &\tCtrl+3"
        MENU_TRANSFERS, // "&"
        MENU_TTH, // " TTH  ...\tCtrl+Shift+T"
        MENU_UPDATE_CHECK, // " \tF12"
        MENU_WAITING_USERS, // " \tCtrl+Shift+W"
        MENU_WINDOW, // "&"
        MENUBAR, // ""
        MIN_SHARE, // " - "
        MIN_SLOTS, // " - "
        MINIMUM_SEARCH_INTERVAL, // "  "
        MINUTES, // ""
        MODE, // ""
        MOVE, // "/ "
        MOVE_DOWN, // "&"
        MOVE_UP, // "&"
        MYNICK_IN_CHAT, // "   "
        NETLIMITER_WARNING, // "NetLimiter   .     SababaDC,      .    ."
        NETWORK_STATISTICS, // " "
        NEW, // "&..."
        NEW_DISCONNECT, // "    "
        NEXT, // ""
        NICK, // ""
        NICK_TAKEN, // "   ,     !"
        NICK_UNKNOWN, // " (  )"
        NO_CERTIFICATE_FILE_SET, // "TLS ,    "
        NO_DIRECTORY_SPECIFIED, // "  "
        NO_DOWNLOADS_FROM_PASSIVE, // "       "
        NO_DOWNLOADS_FROM_SELF, // "   !"
        NO_ERRORS, // " "
        NO_FREE_BLOCK, // "   "
        NO_LOG_FOR_HUB, // "   "
        NO_LOG_FOR_USER, // "   "
        NO_MATCHES, // " "
        NO_NEEDED_PART, // "   "
        NO_SLOTS_AVAILABLE, // "  "
        NO_USERS, // " "
        NORMAL, // ""
        NOT_LISTENING, // "   -     SababaDC"
        NOTEPAD, // " "
        NUMBER_OF_SEGMENTS, // ""
        OFFLINE, // ""
        OK, // ""
        ONLINE, // ""
        ONLY_FREE_SLOTS, // "    "
        ONLY_WHERE_OP, // "   "
        OPEN, // ""
        OPEN_DOWNLOAD_PAGE, // "   ?"
        OPEN_FOLDER, // " "
        OPEN_HUB_LOG, // "  "
        OPEN_USER_LOG, // "  "
        PARTS, // ": "
        PASSIVE_USER, // " "
        PASSWORD, // ""
        PATH, // ""
        PAUSED, // ""
        PB, // "PB"
        PICTURE, // ""
        PK, // "PK String"
        PLAY, // ""
        POPUP_DOWNLOAD_FAILED, // "     "
        POPUP_DOWNLOAD_FINISHED, // "     "
        POPUP_DOWNLOAD_START, // "     "
        POPUP_FAVORITE_CONNECTED, // "      "
        POPUP_HUB_CONNECTED, // "     "
        POPUP_HUB_DISCONNECTED, // "     "
        POPUP_CHEATING_USER, // "      "
        POPUP_NEW_PM, // "      "
        POPUP_PM, // "     "
        POPUP_TYPE, // "  "
        POPUP_UPLOAD_FINISHED, // "     "
        PORT, // ": "
        POWER_OFF, // ""
        PRESS_FOLLOW, // "  \"   \"    "
        PREVIEW_MENU, // "  "
        PREVIOUS_FOLDERS, // " "
        PRIORITY, // ""
        PRIVATE_MESSAGE, // " "
        PRIVATE_MESSAGE_FROM, // "   "
        PROGRESS_BACK, // "   - "
        PROGRESS_COMPRESS, // "   -  "
        PROGRESS_DOWNLOADED, // "   -  "
        PROGRESS_RUNNING, // "   -  "
        PROGRESS_SEGMENT, // "   -  "
        PROGRESS_VERIFIED, // "   -  "
        PROGRESS_AVOIDING, // "   -  "
        PROGRESSBAR_ODC_STYLE, // " 1"
        PROGRESSBAR_STEALTHY_STYLE, // " 2"
        PROPERTIES, // "&"
        PUBLIC_HUBS, // " "
        PURGE, // ""
        QUEUE_UPDATING, // "     (   !)"
        QUICK_CONNECT, // "  "
        RATING, // ""
        RATIO, // ""
        READD_SOURCE, // "  "
        REALLY_EXIT, // "  ?"
        REALLY_REMOVE, // "  ?"
        REASON, // ""
        REBOOT, // ""
        RECENT_HUBS, // "  "
        REDIRECT_ALREADY_CONNECTED, // "     "
        REDIRECT_USER, // " ()"
        REFRESH, // "&"
        REFRESH_USER_LIST, // "  "
        RELIABILITY, // ""
        REMOVE, // "&"
        REMOVE_ALL, // " "
        REMOVE_EXTRA_SLOT, // "  "
        REMOVE_FROM_ALL, // "  "
        REMOVE_OFFLINE, // "  "
        REMOVE_SOURCE, // " "
        RENAMED_TO, // "   -"
        REPORT, // "  "        
        RETRIEVING_DATA, // " "
        RIGHT_COLOR, // " "
        ROLLBACK_INCONSISTENCY, // "  ,      "
        RUNNING, // "..."
        SEARCH, // ""
        SEARCH_FOR, // " "
        SEARCH_FOR_ALTERNATES, // "  "
        SEARCH_FOR_FILE, // " "
        SEARCH_IN_RESULTS, // " "
        SEARCH_OPTIONS, // " "
        SEARCH_SPAM_FROM, // "   -"
        SEARCH_SPY, // " "
        SEARCH_STRING, // " "
        SEARCHING_FOR, // " "
        SECONDS, // ""
        SEEK_BEYOND_END, // "    "
        SEGMENT, // ""
        SEGMENTS, // ""
        SELECT_ALL, // " "
        SELECT_USER_LIST, // "  "
        SEND_PRIVATE_MESSAGE, // "  "
        SEND_PUBLIC_MESSAGE, // "  "
        SEPARATOR, // ""
        SERVER, // ""
        SET_PRIORITY, // " "
        SETCZDC_ALTERNATE_LIMITING, // "   -"
        SETCZDC_BACK_COLOR, // " "
        SETCZDC_BLACK_WHITE, // " & "
        SETCZDC_BOLD, // "    "
        SETCZDC_CZCHARS_DISABLE, // "   '"
        SETCZDC_DEFAULT_STYLE, // ""
        SETCZDC_DISCONNECTING_ENABLE, // "   "
        SETCZDC_DOWNLOAD_SPEED, // " "
        SETCZDC_ENABLE_LIMITING, // "  "
        SETCZDC_ERROR_COLOR, // " "
        SETCZDC_H_DOWN_SPEED, // "    "
        SETCZDC_I_DOWN_SPEED, // "    -"
        SETCZDC_MAGNET_URI_HANDLER, // "     "
        SETCZDC_MIN_FILE_SIZE, // "   "
        SETCZDC_NOTE_DOWNLOAD, // "*    ,     4  "
        SETCZDC_NOTE_SMALL_UP, // "*    =>      ."
        SETCZDC_NOTE_UPLOAD, // "*      5k"
        SETCZDC_PASSIVE_SEARCH, // "    (       !!!)"
        SETCZDC_PREVIEW, // " "
        SETCZDC_PRIVATE_SOUND, // "  "
        SETCZDC_PROGRESSBAR_COLORS, // "  "
        SETCZDC_PROGRESSBAR_TEXT, // "   "
        SETCZDC_REMOVE_FORBIDDEN, // "    (     - Kazaa, Win MX, GetRight, eMule, SababaDC)"
        SETCZDC_SECONDARY_LIMITING, // "  "
        SETCZDC_SLOW_DISCONNECT, // "  "
        SETCZDC_SMALL_FILES, // "  "
        SETCZDC_SMALL_UP_SLOTS, // "  "
        SETCZDC_STYLES, // " "
        SETCZDC_TEXT_COLOR, // " "
        SETCZDC_TEXT_STYLE, // " "
        SETCZDC_TIME_DOWN, // " -"
        SETCZDC_TO, // ""
        SETCZDC_TRANSFER_LIMITING, // " "
        SETCZDC_UPLOAD, // ""
        SETCZDC_UPLOAD_SPEED, // " "
        SETCZDC_WINAMP, // "    "
        SETTINGS, // ""
        SETTINGS_ADD_FOLDER, // "& "
        SETTINGS_ADLS_BREAK_ON_FIRST, // "    ADL"
        SETTINGS_ADVANCED, // ""
        SETTINGS_ADVANCED_RESUME, // "   TTH"
        SETTINGS_ADVANCED_SHOW_SHARE_CHECKED_USERS, // "   "
        SETTINGS_ADVANCED_SUPPRESS_MAIN_CHAT, // "  "
        SETTINGS_ADVANCED3, // " "
        SETTINGS_ALLOW_UNTRUSTED_CLIENTS, // "Allow TLS connections to clients without trusted certificate"
        SETTINGS_ALLOW_UNTRUSTED_HUBS, // "Allow TLS connections to hubs without trusted certificate"
        SETTINGS_ANTI_FRAG, // "  -  "
        SETTINGS_APPEARANCE, // ""
        SETTINGS_ARGUMENT, // ""
        SETTINGS_AUTO_AWAY, // "\" \"   ( -\"\" )"
        SETTINGS_AUTO_DROP_SEGMENTED_SOURCE, // "     ( - 2  )"
        SETTINGS_AUTO_FOLLOW, // "    "
        SETTINGS_AUTO_KICK, // "     "
        SETTINGS_AUTO_KICK_NO_FAVS, // "       "
        SETTINGS_AUTO_OPEN, // "  "
        SETTINGS_AUTO_PRIORITY_DEFAULT, // "    "
        SETTINGS_AUTO_REFRESH_TIME, // "  "
        SETTINGS_AUTO_SEARCH, // "    -TTH "
        SETTINGS_AUTO_SEARCH_AUTO_MATCH, // "     "
        SETTINGS_AUTO_SEARCH_LIMIT, // "       -"
        SETTINGS_AVIPREVIEW, // "   "
        SETTINGS_BAD_SOFTWARE, // "  "
        SETTINGS_BIND_ADDRESS, // "    (Bind)"
        SETTINGS_BIND_ADDRESS_HELP, // "    "
        SETTINGS_BOLD_OPTIONS, // "    "
        SETTINGS_BWBOTH, // "  ( dcpp )"
        SETTINGS_BWSINGLE, // "  ( dcpp )"
        SETTINGS_CERTIFICATES, // ""
        SETTINGS_CLEAR_SEARCH, // "      "
        SETTINGS_CLIENTS, // ""
        SETTINGS_COLOR_ALTERNATE, // "    "
        SETTINGS_COLOR_BAD_CLIENT, // " "
        SETTINGS_COLOR_BAD_FILELIST, // "  / "
        SETTINGS_COLOR_CLIENT_CHECKED, // " "
        SETTINGS_COLOR_FAVORITE, // ""
        SETTINGS_COLOR_FILELIST_CHECKED, // "  "
        SETTINGS_COLOR_FULL_CHECKED, // "  "
        SETTINGS_COLOR_IGNORED, // " "
        SETTINGS_COLOR_NORMAL, // ""
        SETTINGS_COLOR_RESERVED, // "  "
        SETTINGS_COLORS, // " "
        SETTINGS_COMMAND, // ""
        SETTINGS_COMPRESS_TRANSFERS, // "   "
        SETTINGS_CONFIGURE_HUB_LISTS, // "   "
        SETTINGS_CONFIRM_DIALOG_OPTIONS, // ""
        SETTINGS_CONFIRM_EXIT, // "  "
        SETTINGS_CONFIRM_HUB_REMOVAL, // "   "
        SETTINGS_CONFIRM_ITEM_REMOVAL, // "    "
        SETTINGS_CZDC_EXTRA_DOWNLOADS, // "     "
        SETTINGS_DEBUG_COMMANDS, // " "
        SETTINGS_DEFAULT_AWAY_MSG, // " \" \" "
        SETTINGS_DIRECT, // " "
        SETTINGS_DIRECTORIES, // ""
        SETTINGS_DISPLAY_CHEATS_IN_MAIN_CHAT, // "   "
        SETTINGS_DONT_DL_ALREADY_SHARED, // "     "
        SETTINGS_DOWNCONN, // " /"
        SETTINGS_DOWNLOAD_DIRECTORY, // "    "
        SETTINGS_DOWNLOAD_LIMITS, // ""
        SETTINGS_DOWNLOADS, // ""
        SETTINGS_DOWNLOADS_MAX, // "    (0 =  )"
        SETTINGS_DOWNLOADS_SPEED_PAUSE, // "      (kB/s, 0 = )"
        SETTINGS_EXPAND_QUEUE, // "   "
        SETTINGS_EXTENSIONS, // ""
        SETTINGS_EXTERNAL_IP, // "IP (/WAN)"
        SETTINGS_FAKEDETECT, // " "
        SETTINGS_FAV_SHOW_JOINS, // " /    "
        SETTINGS_FAVORITE_DIRS, // "  "
        SETTINGS_FAVORITE_DIRS_PAGE, // ""
        SETTINGS_FILE_NAME, // " "
        SETTINGS_FILES_MAX, // "   (0 =  )"
        SETTINGS_FILTER_MESSAGES, // " kick    NMDC"
        SETTINGS_FILTER_ENTER, // " /     Enter"
        SETTINGS_FIREWALL_NAT, // ""
        SETTINGS_FIREWALL_PASSIVE, // " (,   )"
        SETTINGS_FIREWALL_UPNP, // "  UPnP (WinXP  )"
        SETTINGS_FORMAT, // ""
        SETTINGS_GENERAL, // ""
        SETTINGS_GET_USER_COUNTRY, // "   "
        SETTINGS_HUB_USER_COMMANDS, // "     "
        SETTINGS_CHANGE, // "&"
        SETTINGS_IGNORE_HUB_PMS, // "   "
        SETTINGS_IGNORE_BOT_PMS, // "   "
        SETTINGS_INCOMING, // "    (    )"
        SETTINGS_KEEP_LISTS, // "    "
        SETTINGS_LANGUAGE_FILE, // " "
        SETTINGS_LIMIT, // ""
        SETTINGS_LOG_DOWNLOADS, // ""
        SETTINGS_LOG_FILELIST_TRANSFERS, // "   "
        SETTINGS_LOG_MAIN_CHAT, // "  "
        SETTINGS_LOG_PRIVATE_CHAT, // " "
        SETTINGS_LOG_STATUS_MESSAGES, // " "
        SETTINGS_LOG_SYSTEM_MESSAGES, // " "
        SETTINGS_LOG_UPLOADS, // ""
        SETTINGS_LOG_WEBSERVER, // " "
        SETTINGS_LOGGING, // ""
        SETTINGS_LOGS, // ""
        SETTINGS_MAX_COMPRESS, // "  "
        SETTINGS_MAX_HASH_SPEED, // "  "
        SETTINGS_MAX_TAB_ROWS, // "  "
        SETTINGS_MINIMIZE_ON_STARTUP, // "   "
        SETTINGS_MINIMIZE_TRAY, // "  "
        SETTINGS_MOUSE_OVER, // " "
        SETTINGS_NAME, // ""
        SETTINGS_NETWORK, // " "
        SETTINGS_NO_AWAYMSG_TO_BOTS, // "   \" \" "
        SETTINGS_NOMINAL_BANDWIDTH, // "  "
        SETTINGS_NORMAL, // ""
        SETTINGS_ODC_SHUTDOWNTIMEOUT, // ""
        SETTINGS_ONLY_HASHED, // ";        !"
        SETTINGS_OPEN_NEW_WINDOW, // "     /join"
        SETTINGS_OPERACOLORS, // "  "
        SETTINGS_OPTIONS, // ""
        SETTINGS_OUTGOING, // "   "
        SETTINGS_OVERRIDE, // "   \"   UPnP"
        SETTINGS_PERSONAL_INFORMATION, // " "
        SETTINGS_PM_BEEP, // "      "
        SETTINGS_PM_BEEP_OPEN, // "       "
        SETTINGS_PM_HISTORY, // " ."
        SETTINGS_POPUNDER_FILELIST, // "    "
        SETTINGS_POPUNDER_PM, // "   "
        SETTINGS_POPUP_BOT_PMS, // "     "
        SETTINGS_POPUP_HUB_PMS, // "     "
        SETTINGS_POPUP_PMS, // "    "
        SETTINGS_PORTS, // ""
        SETTINGS_PRIO_AUTOPRIO, // "    -     "
        SETTINGS_PRIO_HIGH, // ""
        SETTINGS_PRIO_HIGHEST, // " "
        SETTINGS_PRIO_LOW, // ""
        SETTINGS_PRIO_LOWEST, // "         "
        SETTINGS_PRIO_NORMAL, // ""
        SETTINGS_PROMPT_PASSWORD, // "    "
        SETTINGS_PUBLIC_HUB_LIST, // "  "
        SETTINGS_PUBLIC_HUB_LIST_HTTP_PROXY, // "HTTP  (   )"
        SETTINGS_PUBLIC_HUB_LIST_URL, // "   "
        SETTINGS_QUEUE, // ""
        SETTINGS_RENAME_FOLDER, // " "
        SETTINGS_REQUIRES_RESTART, // ";       SababaDC"
        SETTINGS_RESET, // ""
        SETTINGS_ROLLBACK, // " "
        SETTINGS_SB_MAX_SOURCES, // "    "
        SETTINGS_SEARCH_HISTORY, // " "
        SETTINGS_SEGMENT, // " "
        SETTINGS_SELECT_COLOR, // " "
        SETTINGS_SELECT_TEXT_FACE, // "& "
        SETTINGS_SELECT_WINDOW_COLOR, // " "
        SETTINGS_SEND_UNKNOWN_COMMANDS, // "    [ /command ] "
        SETTINGS_SHARE_HIDDEN, // "  "
        SETTINGS_SHARE_SIZE, // " :"
        SETTINGS_SHARED_DIRECTORIES, // " "
        SETTINGS_SHOW_INFO_TIPS, // "   "
        SETTINGS_SHOW_JOINS, // "  /    "
        SETTINGS_SHOW_PROGRESS_BARS, // "     (  )"
        SETTINGS_SHOW_SHELL_MENU, // "     "
        SETTINGS_SKIP_ZERO_BYTE, // "    0"
        SETTINGS_SOCKS5, // "SOCKS5"
        SETTINGS_SOCKS5_IP, // "Socks IP"
        SETTINGS_SOCKS5_PORT, // ""
        SETTINGS_SOCKS5_RESOLVE, // "  SOCKS5    "
        SETTINGS_SOCKS5_USERNAME, // " "
        SETTINGS_SORT_FAVUSERS_FIRST, // "   "
        SETTINGS_SOUNDS, // ""
        SETTINGS_SPEEDS_NOT_ACCURATE, // ";     ,    -100%..."
        SETTINGS_STATUS_IN_CHAT, // "    "
        SETTINGS_TCP_PORT, // "TCP"
        SETTINGS_TLS_PORT, // "TLS"
        SETTINGS_TEXT_STYLES, // " & "
        SETTINGS_TIME_STAMPS, // "     "
        SETTINGS_TIME_STAMPS_FORMAT, // "  "
        SETTINGS_TOGGLE_ACTIVE_WINDOW, // "      "
        SETTINGS_TOOLBAR, // " "
        SETTINGS_TOOLBAR_ADD, // " -->"
        SETTINGS_TOOLBAR_IMAGE, // "  "
        SETTINGS_TOOLBAR_REMOVE, // "<-- "
        SETTINGS_UDP_PORT, // "UDP"
        SETTINGS_UNFINISHED_DOWNLOAD_DIRECTORY, // "  "
        SETTINGS_UPLOAD_LINE_SPEED, // "  ()"
        SETTINGS_UPLOADS, // ""
        SETTINGS_UPLOADS_MIN_SPEED, // "       (0 = )"
        SETTINGS_UPLOADS_SLOTS, // " "
        SETTINGS_URL_HANDLER, // "    (   dchub:// )"
        SETTINGS_USE_CTRL_FOR_LINE_HISTORY, // " -CTRL   "
        SETTINGS_USE_EXTENSION_DOWNTO, // "      "
        SETTINGS_USE_OLD_SHARING_UI, // "   "
        SETTINGS_USE_SYSTEM_ICONS, // "      (   )"
        SETTINGS_USE_TLS, // " TLS     "
        SETTINGS_USE_VERTICAL_VIEW, // "    "
        SETTINGS_USER_COLORS, // "  "
        SETTINGS_USER_COMMANDS, // " "
        SETTINGS_WEBSERVER, // "   "
        SETTINGS_WINDOWS, // ""
        SETTINGS_WINDOWS_OPTIONS, // " "
        SETTINGS_WRITE_BUFFER, // "  "
        SETTINGS_ZDC_PROGRESS_OVERRIDE, // "  "
        SETTINGS_ZDC_PROGRESS_OVERRIDE2, // "  "
        SHARED, // ""
        SHARED_FILES, // " "
        SHOW_POPUP_AWAY, // "     \" \""
        SHOW_POPUP_MINIMIZED, // "      "
        SHOW_SPEED, // " "
        SHOW_LIMIT, // " "
        SHOW_SLOTS, // " "
        CUST_DESC, // "  "
        SHUTDOWN, // " "
        SHUTDOWN_ACTION, // " "
        SHUTDOWN_OFF, // "  ..."
        SHUTDOWN_ON, // "  ..."
        SIZE, // ""
        SIZE_MIN, // " - "
        SKIP_RENAME, // "     , ..."
        SLOT_GRANTED, // " "
        SLOTS, // ""
        SLOTS_SET, // " "
        SLOW_USER, // " "
        SMALL_FILE_SIZE_SET, // "   "
        SOCKS_AUTH_FAILED, // "   -socks  ( /  ?)"
        SOCKS_AUTH_UNSUPPORTED, // " -socks      /"
        SOCKS_FAILED, // " -socks   "
        SOCKS_NEEDS_AUTH, // " -socks  "
        SOCKS_SETUP_ERROR, // "   UDP (    socks )"
        SOUND_DOWNLOAD_BEGINS, // " "
        SOUND_DOWNLOAD_FINISHED, // " "
        SOUND_EXCEPTION, // "  "
        SOUND_FAKER_FOUND, // " "
        SOUND_SOURCE_ADDED, // "  "
        SOUND_TTH_INVALID, // " "
        SOUND_TYPING_NOTIFY, // " "
        SOUND_UPLOAD_FINISHED, // " "
        SOURCE_TOO_OLD, // "    -TTH -   "
        SOURCE_TYPE, // " "
        SPECIFY_SEARCH_STRING, // "  "
        SPECIFY_SERVER, // "   "
        SPEED, // ""
        STATUS, // ""
        STORED_PASSWORD_SENT, // "  ..."
        STRING_NOT_FOUND, // "   : "
        SUSPEND, // ""
        TABS_ON_TOP, // " "
        TAG, // ""
        TARGET_FILENAME_TOO_LONG, // "    "
        TB, // "TB"
        TCP_PORT_BUSY, // "   TCP/TLS .                  TCP/TLS"
        TEXT_FAKEPERCENT, // "   "
        TEXT_MANUAL, // "   "
        TIME, // ""
        TIME_LEFT, // " "
        TIMESTAMP_HELP, // "\r\n- %a -   \r\n- %A -   \r\n- %b -   \r\n- %B -   \r\n- %c -    \r\n- %d -    (01  31)\r\n- %H -   24  (00  23)\r\n- %I -   12  (01  12)\r\n- %j -    (001  366)\r\n- %m -   (01  12)\r\n- %M -   (00  59)\r\n- %p -  A.M./P.M.   12\r\n- %S -   (00  59)\r\n- %U -  ,        (00  53)\r\n- %w -    (0  6;    0)\r\n- %W -   ,       (00  53)\r\n- %x -   \r\n- %X -   \r\n- %y -    (00  99)\r\n- %Y -   \r\n- %z, %Z -         ;      \r\n- %% -  \r\n\r\n : %H:%M:%S"
        TIMESTAMP_HELP_DESC, // "  "
        TIMESTAMPS_DISABLED, // "  "
        TIMESTAMPS_ENABLED, // "  "
        TOO_MUCH_DATA, // "   "
        TOTAL, // " : "
        TRANSFERLISTDBLCLICKACTION, // "     "
        TRANSFERRED, // ""
        TTH_ALREADY_SHARED, // "       "
        TTH_INCONSISTENCY, // "  -TTH"
        TTH_ROOT, // "TTH "
        TWO_COLORS, // " "
        TYPE, // ""
        UNABLE_TO_CREATE_THREAD, // "  "
        UNABLE_TO_OPEN_FILELIST, // "   : "
        UNABLE_TO_RENAME, // "   "
        UNABLE_TO_SEND_FILE, // "   "
        UNIGNORE_USER, // "  "
        UNKNOWN, // " "
        UNKNOWN_COMMAND, // "   : "
        UNKNOWN_ERROR, // "  : 0x%x"                
        UPDATE_CHECK, // "  "
        UPLOAD_FINISHED_IDLE, // " , ..."
        UPLOAD_STARTING, // " ..."
        UPLOADED_BYTES, // " %s (%.01f%%) | %s"
        UPLOADED_TO, // "   "
        UPNP_FAILED_TO_CREATE_MAPPINGS, // "   .      ."
        UPNP_FAILED_TO_GET_EXTERNAL_IP, // "  -IP   UPnP.    ."
        UPNP_FAILED_TO_REMOVE_MAPPINGS, // "   "
        USER, // ""
        USER_CMD_COMMAND, // ""
        USER_CMD_CONTEXT, // ""
        USER_CMD_FILELIST_MENU, // "  "
        USER_CMD_HUB, // "IP / DNS ( = , 'op' =  )"
        USER_CMD_HUB_MENU, // " "
        USER_CMD_CHAT, // ""
        USER_CMD_ONCE, // "    "
        USER_CMD_PARAMETERS, // ""
        USER_CMD_PM, // "\""
        USER_CMD_PREVIEW, // "   "
        USER_CMD_RAW, // " "
        USER_CMD_SEARCH_MENU, // " "
        USER_CMD_TO, // ""
        USER_CMD_TYPE, // " "
        USER_CMD_USER_MENU, // " "
        USER_CMD_WINDOW, // "/ "
        USER_DESCRIPTION, // " "
        USER_OFFLINE, // " "
        USER_WENT_OFFLINE, // " "
        USER_WENT_ONLINE, // " "
        USERINFO, // "  "
        USERLIST_ICONS, // "  "
        USERLISTDBLCLICKACTION, // "     "
        USERS, // ""
        VERSION, // ""
        VIDEO, // ""
        VIEW_AS_TEXT, // " "
        VIRTUAL_NAME, // " "
        VIRTUAL_NAME_EXISTS, // "      "
        VIRTUAL_NAME_LONG, // "     "
        WAITING, // "..."
        WAITING_FOR, // " %i   ..."
        WAITING_TIME, // " "
        WAITING_TO_RETRY, // "   ..."
        WAITING_USERS, // " "
        WHATS_THIS, // " &?"
        WHO_IS, // "  "
        WINAMP_HELP, // "/winamp -   Winamp  1 .x, 2.x, 5.x (   3)\r\n- %[version]          (: 2.91)\r\n- %[state]        (: //)\r\n- %[title]                  -Winamp -     mp3s, Winamp > Pref > Input > MPEG > Title\r\n- %[rawtitle]     -Winamp ( %[title]    )\r\n- %[percent]     ( 40%)\r\n- %[length]      : (: 04:09)\r\n- %[elapsed]     : ( 03:51)\r\n- %[bar]           ,  10     ( [----|-----])\r\n- %[bitrate]   ( 128kbps)\r\n- %[sample]      ( 22kHz)\r\n- %[channels]     (  / )\r\n\r\n =    String -> +me playing: %[title] at %[bitrate] <Winamp %[version]>\r\n\r\n  KMPlayer:\r\n        /winamp        KMPlayer.\r\n   (    )  %[version], %[bitrate], %[sample] -%[channels].\r\n    -%[rawtitle]  %[title]    ."
        WINAMP_HELP_DESC, // "  Winamp"
        ZONEALARM_WARNING, // "ZoneAlarm  .         \"    \".        .  "
        SETTINGS_STRIP_TOPIC, // "  "
        PASSWORD_DESC, // " "
        PASSWORD_TITLE, // " "
        SETTINGS_SKIPLIST_SHARE, // "    (  : *, : ;)"
        CHECK_SETTINGS, // " "
        WINAMP_BACK, // ""
        WINAMP_PLAY, // ""
        WINAMP_PAUSE, // ""
        WINAMP_NEXT, // ""
        WINAMP_STOP, // ""
        WINAMP_VOL_UP, // " "
        WINAMP_VOL_HALF, // " 50% / "
        WINAMP_VOL_DOWN, // " "        
        WINAMP_SPAM, // "     "
        THRESHOLD, // " "
        PG_PLUGIN, // " PeerGuardian"
        GET_IP, // "  IP"
        UPDATE_IP, // " IP  "
        PM_PREVIEW, // "       "
        PRIO_FILE, // "    "
        PRIO_FILE_HIGHEST, // " :"
        PRIO_FILE_LOWEST, // " :"
        POPUP_TIME, // " "
        SETTINGS_MISC, // ""
        SET_SECONDARY_AWAY, // " \" \" "
        TICKS_SPEED_DOWN, // "5   :"
        TICKS_SPEED_UP, // "5   :"
        PSR_DELAY, // "   $PSR ()"
        IP_IN_CHAT, // "   IP  "
        COUNTRY_IN_CHAT, // "     "
        NOON, // " "
        MIDNIGHT, // " "
        AM, // " \""
        PM, // " \""
        HUB_SMALL, // "  "
        SETTINGS_STATE, // "    "
        ENABLE_HUBTOPIC, // "  -$HubTopic"
        BUFFERSIZE, // "  ,  ~2.1  (2^31)"
        HIDE_SHARE, // "    ( )"
        SHOW_JOINS, // " "
        STEALTH_MODE, // "  DC++  "
        ALREADY_IGNORED, // "       !"
        IGNORED_USERS, // "   "
        IGNORE_CLEAR, // ""
        FORMAT_BIU, // " ,     (        )"
        PROT_USERS, // " "
        PROT_DESC, // "    ( ;  -*   )"
        WMP_HELP, // "/wmp -   Windows Media Player  9+\r\n- %[version]   Windows Media Player\r\n- %[fullversion]        Windows Media Player\r\n- %[status]          Windows Media Player\r\n- %[title]                \r\n- %[elapsed]        (:):\r\n- %[percent]           \r\n- %[bar]                ,  10     ( [----|-----])\r\n- %[length]        (:):\r\n- %[artist]         \r\n- %[album]      \r\n- %[genre]             \r\n- %[bitrate]           \r\n- %[year]          (  -WMP9)\r\n- %[size]                   \r\n- %[rating]        ,    *- ( )\r\n\r\n =    -> +me %[title] at %[bitrate] <Windows Media Player %[version]>"
        WMP_HELP_DESC, // "  Windows Media Player"
        ITUNES_HELP, // "/itunes -  iTunes  \r\n- %[version]     ( 7.0.2.16)\r\n- %[album]      \r\n- %[artist]        \r\n- %[title]                 \r\n- %[genre]          \r\n- %[elapsed]      :\r\n- %[percent]      \r\n- %[bar]                ,  10     ( [----|-----])\r\n- %[length]      \r\n- %[bitrate]           kbps)\r\n- %[frequency]     (kHz)\r\n- %[year]     /   \r\n- %[size]                  \r\n- %[state]           iTunes (/)\r\n\r\n =    -> +me playing: %[title] at %[bitrate] <iTunes %[version]>"
        ITUNES_HELP_DESC, // "  iTunes"
        MPC_HELP, // "/mpc -  Media Player Classic  \r\n- %[filename]      \r\n- %[title]                  (  )\r\n- %[size]                   \r\n- %[state]           Media Player Classic (//)\r\n- %[elapsed]    :\r\n- %[percent]      \r\n- %[bar]                ,  10     ( [----|-----])\r\n- %[length]      \r\n\r\n =   -> +me playing: %[title] <Media Player Classic>"
        MPC_HELP_DESC, // "  Media Player Classic"
        NO_MEDIA_SPAM, // "       "
        PROT_FAVS, // "    "
        RAW_TEXTS, // "   (      )"
        SUPER_USER, // "   "
        OPCHAT, // "   (   )"
        PG_BLOCKED, // "    PeerGuardian"
        EXCL_CHECKS, // "     /"
        POPUP_BACK_COLOR, // " "
        POPUP_FONT, // " "
        POPUP_TITLE_FONT, // "& "
        MAX_MSG_LENGTH, // " "
        POPUP_IMAGE, // "  "
        EXCEPTION_DIALOG, // "SababaDC ..."
        EXCEPTION_HEADER, // "   :"
        EXCEPTION_FOOTER, // "   ,    ,     SababaDC."
        EXCEPTION_RESTART, // "    "
        EXCEPTION_COPY, // " "
        EXCEPTION_CONTINUE, // ""
        EXCEPTION_TERMINATE, // " "
        OPEN_LOGS_INTERNAL, // "   (    )"
        NO_EMOTES_LINKS, // "     "
        COPY_MLINK_TEMPL, // "   "
        COPY_HTML_LINK, // "   HTML"
        IGNORE_PRIVATE, // "  "
        UPLOAD_SPEED_LIMIT, // "  "
        SEND_TO_ALL_USERS, // "  "
        BAN_SLOTS, // "     -"
        BAN_SHARE, // "    -, Gb"
        BAN_LIMIT, // "     -, Kb"
        BAN_MESSAGE, // " "
        BANMSG_PERIOD, // "   . (0 -  .), "
        BAN_STEALTH, // " "
        BAN_FORCE_PM, // " .,     BanMsg  "
        BAN_SKIP_OPS, // "  "
        EXTRASLOT_TO_DL, // "     "
        CLIENT_ID, // "  "
        GIVE_EXTRA_SLOT, // "  "
        HIGH_PRIORITY, // " "
        NORMAL_PRIORITY, // " "
        LOW_PRIORITY, // " "
        DNS_BARE, // "DNS"
        LOCATION_BARE, // ""
        USER_SUMMARY, // "   "
        USER_WAIT_MENU, // "   "
        NEED_USER_FILES_MENU, // "   "
        MAGNET_DLG_SAVEAS, // " ..."
        BAN_COLOR_DLG, // " "
        DUPE_COLOR_DLG, // " "
        MOD_COLOR_DLG, // " SababaDC"
        POPUP_FAVORITE_DISCONNECTED, // "      "
        FAVUSER_OFFLINE, // "  "
        MULTILINE_CHAT_INPUT, // "     "
        EXTERNAL_PREVIEW, // "       "
        EXTRA_SLOT_TIMEOUT, // "  - "
        EXTRA_SLOT_TIME_FORMAT, // "  (HH:MM  DD:HH:MM)"
        INVALID_TIME_FORMAT, // "   "
        SLOT_GRANTED_MSG, // "    "
        SLOT_REMOVED_MSG, // "   "
        SEND_SLOTGRANT_MSG, // "    / "
        ASK_SLOT, // " "
        ASK_SLOT_TEMPLATE, // " %[nick].       %[filename]"
        FAVUSERLISTDBLCLICKACTION, // "      "
        SETTINGS_MESSAGES, // ""
        SETTINGS_PROTECT_PRIVATE, // "    "
        SETTINGS_PASSWORD, // ""
        SETTINGS_PASSWORD_HINT, // " "
        DEF_PASSWORD, // "pokemon"
        DEF_PASSWORD_HINT, // "    .  *pokemon*  .   :   +         "
        FREE_PM_ACCESS, // "   "
        MSG_GUARDING_UPDATED, // "Guarding.p2p ."
        MSG_GUARDING_FAILED, // " Guarding.p2p .\r\n"
        MSG_CLIENT_EXIST, // "      "
        MSG_CLIENT_UPDATED, // "  ."
        MSG_CLIENT_FAILED, // "   .\r\n"
        MSG_COMMAND_EMPTY, // "     "
        MSG_ADLSEARCH_HELP_TITLE, // "    ADL"
        MSG_ADLSEARCH_HELP, // " ADL       . \n  ADL     'avi'   .   \n   ,    avi    \n  <<<ADLSearch>>>  .     \n-''    . \n\n : \n- '' -    . \n- ' '     ; ' '      , \n   ''           \n    , ' '     . \n- ' '   .   \n         . \n- ' /'     .        ''. \n- ''/'' -    . \n\n     ( )   .    \n' '          . \n\n  :\n\n1)   -%y.%m.%d      \n -y/m/d,        .   %[nick] \n          . \n\n2)      'discard',     . \n    3)      . \n \n3)    '    ADL' ->'.  \n ,  ADL      / . \n   ADL  . e:   \n      'txt'  'discard'.  \n       . \n"
        MSG_ERROR_CERT_TITLE, // "    "
        MSG_UPDATE_MANUAL, // "         ! (   )\r\n\t\t    ?"
        MSG_REGEX_NO_MATCH_TAG, // "  ."
        MSG_REGEX_INVALID_TAG, // "  "
        MSG_REGEX_MATCH, // " !"
        MSG_REGEX_NO_MATCH_FOR_VERSION, // "  ."
        MSG_REGEX_INVALID_VESSION, // "  ."
        MSG_REGEX_NO_MATCH_PK, // "  -Pk."
        MSG_REGEX_INVALID_PK, // "  -Pk  ."
        MSG_REGEX_NO_MATCH, // " ."
        MSG_REGEX_INVALID, // "   ."
        MSG_CRASHED, // "SababaDC      .    ,  - SababaDC          (      ,      )."
        MSG_CRASHED_TITLE, // "SababaDC "
        MSG_CRASHED_NO_SYMBOLS, // "SababaDC   SababaDC.pdb  . ,     ,      ,    ..."
        MSG_COMMON_CONTROLS, // "  windows common controls    SababaDC    ,      .      5.80    ."
        MSG_ALREADY_RUNNING, // " SababaDC  .\n      ?"
        MSG_BETA_TIME_PASSED, // "  ,      51.\n       www.sababadc.com     !"
        MSG_BETA_TIME_PASSED_TITLE, // "   [: %s]"
        MSG_ERROR, // ""
        MSG_REALLY_REMOVE, // "    ?"
        MSG_LOGIN_INCORRECT, // "  ,    :("
        MSG_LOGIN_NO_MEMBER, // "    ,    :("
        MSG_LOGIN_TOO_OLD, // "     Area 51  !"
        MSG_LOGIN_NO_GUEST, // "   ,    :("
        MSG_LOGIN_INVALID, // "  ,    :("
        MSG_LOGIN_PARSE_ERROR, // "    ,          !"
        MSG_LOGIN_NO_USER, // "     ,     ,   "
        MSG_CONNECT_SERVER, // "    ,      ;)"
        LOADING_SPLASH, // " : %s "
        BROWSER, // ""
        MENU_VIEW_TABS, // " \tCtrl+4"
        MENU_WINAMP_TOOLBAR, // "   \tCtrl+5"
        MENU_EXTRA_TOOLBAR, // " \tCtrl+6"
        ABOUT, // ""
        ABOUT_LATEST_BOX, // " "
        ABOUT_TOTAL_BOX, // " "
        ABOUT_THANKS_BOX, // ""
        ABOUT_TOTAL, // ": %s ,: %s\r\n(/): %.2f\r\n : %s "
        ABOUT_COMPILED, // " %d [ %s ]"
        MSG_ERROR_SELECT_HUBS, // "    %d "
        REMOVE_FROM_FAVORITES, // " "
        SETTINGS_ONE_SEARCH_WINDOW, // "    / "
        CHAT_COMMANDS, // "\t\t\t\t\t  \t\t\t\t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/refresh \t\t\t\t( ) \t\t\t\t\t\t\n/savequeue \t\t\t\t(  ) \t\t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/search < > \t\t\t(...) \t\t\t\t\t\t\t\n/g < > \t\t\t( ) \t\t\t\t\t\t\n/imdb <imdbquery> \t\t\t(  -IMDB) \t\t\t\t\t\n/whois [IP] \t\t\t\t(  whois  IP) \t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/slots # \t\t\t\t( ) \t\t\t\t\t\t\t\n/extraslots # \t\t\t\t(   ) \t\t\t\t\t\n/smallfilesize # \t\t\t\t(   ) \t\t\t\t\n/ts \t\t\t\t\t(  /) \t\t\t\n/connection \t\t\t\t( IP   ) \t\t\t\t\n/showjoins \t\t\t\t(/  /  ) \t\n/shutdown \t\t\t\t(   ) \t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/SababaDC\t\t\t\t(   SababaDC ) \t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/away <msg> \t\t\t\t(/  \" \") \t\t\t\t\t\n/winamp \t\t\t\t( Winamp ) \t\t\t\t\t\n/w \t\t\t\t\t( Winamp ) \t\t\t\t\t\n/clear,/c \t\t\t\t( ) \t\t\t\t\t\n/ignorelist \t\t\t\t(      ) \t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n\t\t   http://www.sababadc.com \n------------------------------------------------------------------------------------------------------------------------------------------------------------\n"
        SETTINGS_OPEN_WEB_LINKS_INTERNAL, // "    "
        MENU_REMOVE_ALL_FAVORITES, // "   \tCtrl+F11"
        MENU_ADD_OPEN_TO_FAVORITES, // "     \tCtrl+F12"
        FAVORITE_FILE, // ""
        MSG_ERROR_VERSION_BUG, // " SababaDC         DC     ."
        MSG_ERROR_GET_NEW_ONE, // "\r\n    "
        MSG_ERROR_NETLIMITER, // "NetLimiter .   -SababaDC . SababaDC  ."
        MENU_LOCAL_SITE, // " \tF9"
        SETTINGS_AUTO_CLOSE_DISCONNECTED, // "    (   )"
        SETTINGS_AUTO_CLOSE_THERSHOLD, // "     (   )"        
        AUTO_CLOSE_GROUPS, // "  "
        SETTINGS_SEARCH, // ""
        HUBLIST, // " "
        DOWNLOAD_OPTIONS, // " "
        GENERATE_EXCEPTIONINFO, // "exceptioninfo.txt "
        MSG_ERROR_CRASHED, // "SababaDC "
        RESULT_LIMIT, // " "
        STOP_SEARCH, // " "
        NO_SEARCH_STRING, // "   -   "
        NO_HUBS_TO_SEARCH, // "  -   "
        SEARCH_READY, // ""
        SEARCH_STOPPED, // " "
        SEARCH_DONE, // " "
        FIRST_TIME_NOTE, // "     1G      .\n    :\n    .  Windows, \n    .   , \n    .   ,\n    .    "
        SETTINGS_AUTO_HIDE_TABS_BAR, // "        60 "
        SETTINGS_AUTO_HIDE_TRANSFER_BAR, // "        60 "
        LINK_PREVIEW, // "     SababaDC"
        WS_TITLE_NOT_FOUND, // "  "
        WS_TITLE_INDEX, // " "
        WS_TITLE_DOWNLOAD_QUEUE, // " "
        WS_TITLE_FINISHED_DOWNLOADS, // " "
        WS_TITLE_UPLOAD_QUEUE, // " "
        WS_TITLE_FINISHED_UPLOADS, // " "
        WS_TITLE_LOGS, // ""
        WS_TITLE_SYSTEM_LOGS, // " "
        WS_TITLE_SEARCH, // ""
        WS_TITLE_LOGOUT, // ""
        WS_TITLE_SHUTDOWN, // ""
        WS_TITLE_REBOOT, // ""
        WS_TITLE_SUSPEND, // ""
        WS_TITLE_LOGOFF, // ""
        WS_TITLE_SWITCH, // " "
        WS_TITLE_LOGIN, // ""
        WS_LOGIN_USERNAME, // ""
        WS_LOGIN_PASSWORD, // ""
        WS_LOGIN_LOGIN, // ""
        WS_REQUEST_SENT, // "     :)"
        WS_SEARCHING, // "...   30 ."
        WS_STOP_SEARCH, // ""
        WS_SEARCH, // ""
        WS_SEARCH_FOR, // " "
        WS_LOG_DISABLED, // "  ."
        WS_SYSLOG_DISABLED, // " ."
        WS_ERROR, // ": "
        WS_FOOTER, // "   SababaDC"
        SETTINGS_THEME, // ""
        SETTINGS_THEME_FILE_LABEL, // " "
        SETTINGS_THEME_IMPORT, // " ..."
        SETTINGS_THEME_OPTIONS_LABEL, // " "
        SETTINGS_THEME_EXPORT, // " ..."
        SETTINGS_THEME_UPDATE, // ""
		SEARCH_DISABLED, // " "
		LIMIT_TIME_LABEL, // " "
		LIMIT_TIME_UNITS, // ""
		READD_SOURCES_AFTER_LIMIT, // "        "
		READJUST_CHUNKS, // "      "
		DEFAULT_RESULT_LIMIT, // "      "
		PREVIEW_NAME, // ":"
		PREVIEW_APPLICATION, // ""
		PREVIEW_ARGUMENTS, // " (%[file] %[dir] )"
		PREVIEW_EXTENSION, // "  : (avi;mov;divx)"
		PREVIEW_TITLE, // "   "
		SETTINGS_WEBSERVER_LABEL, // " "
		SETTINGS_SOCKET_IN_BUFFER, // " "
		SETTINGS_SOCKET_OUT_BUFFER, // " "
		EMULATE_DCPP, // "  DC++"
		REMOVE_OFFILNE_USERS, // "      10 "
        LAST // @DontAdd
};
