/*
 * Copyright (C) 2001-2006 Jacek Sieka, arnetheduck on gmail point com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#pragma once
#include "Text.h"

/* Regular app defines */
#define DCVERSIONSTRING "0.698"

#define APPNAME "SababaDC"
#define MAJOR 1
#define MINOR 2
#define BUILDID 110

#define THE_PRODUCT_VERSION_STRING "s1.02 build 110"
#define THE_PRODUCT_VERSION MAJOR,MINOR,0,BUILDID

class Version {
public:
    Version();
    
    string name;
    string full_name;
    string ver_string;
    float  ver_number;
  
    string link_website;
    string link_home;
    string link_main;
    string link_report_bug;
    string link_help;

    string link_versionfile;
    string link_search;
    string link_geoipfile;
    string link_donate;    
    string link_port_check;
    string link_web_server;
};

extern Version version;

#define T_APPNAME _T(APPNAME)
#define T_FULL_APPNAME  Text::toT(version.full_name).c_str()
#define   FULL_APPNAME  version.full_name.c_str()
#define T_VERSIONSTRING Text::toT(version.ver_string).c_str()
#define   VERSIONSTRING version.ver_string.c_str()
#define   VERSIONLINK   version.ver_string.c_str()
//#ifdef BETA
//#define FULL_APPNAME APPNAME VERSIONSTRING "." #BUILDID
//#endif

// - Added these here so Lee can update them without me, Crise
#define LINK_WEBSITE     version.link_website
#define LINK_HOMEPAGE    version.link_home
#define LINK_GEOIPFILE   version.link_geoipfile
#define LINK_MAIN        version.link_main
#define LINK_VERSIONFILE version.link_versionfile
#define LINK_HELP        version.link_help
#define LINK_SEARCH      version.link_search
#define LINK_PORT_CHECK  version.link_port_check
#define LINK_WEB_SERVER  version.link_web_server


// TBI: Uncomment the following line to choose to compile with protocol misspellings
//#define CAM

/* Update the .rc file as well... */

/**
 * @file
 * $Id: version.h,v 1.49 2006/11/12 20:32:08 bigmuscle Exp $
 */
