// @Prolog: #include "stdinc.h"
// @Prolog: #include "ResourceManager.h"
// @Strings: string ResourceManager::strings[]
// @Names: string ResourceManager::names[]

enum Strings { // @DontAdd
        ACCEPTED_DISCONNECTS, // "Accepted Disconnects"
        ACCEPTED_TIMEOUTS, // "Accepted Timeouts"
        ACTIVE_SEARCH_STRING, // "Enabled / Search String"
        ADD, // "&Add"
        ADD_AS_SOURCE, // "Add as source"
        ADD_FINISHED_INSTANTLY, // "Add finished files to share instantly (if shared)"
        ADD_TO_FAVORITES, // "Add To Favorites"
        ADDED, // "Added"
        ADL_SEARCH, // "Automatic Directory Listing Search"
        ADLS_DESTINATION, // "Destination Directory"
        ADLS_DISCARD, // "Discard"
        ADLS_DOWNLOAD, // "Download Matches"
        ADLS_ENABLED, // "Enabled"
        ADLS_FULL_PATH, // "Full Path"
        ADLS_PROPERTIES, // "ADLSearch Properties"
        ADLS_SEARCH_STRING, // "Search String"
        ADLS_SIZE_MAX, // "Max FileSize"
        ADLS_SIZE_MIN, // "Min FileSize"
        ADLS_TYPE, // "Search Type"
        ADLS_UNITS, // "Size Type"
        ALL, // "All"
        ALL_DOWNLOAD_SLOTS_TAKEN, // "All download slots taken"
        ALL_FILE_SLOTS_TAKEN, // "All file slots taken"
        ALTERNATES_SEND, // "Searching TTH alternates for: "
        ANTI_PASSIVE_SEARCH, // "-- WARNING --\r\n-- You are in active mode, but have activated passive search. --\r\n-- Don't use passive search if you have search results without this option --\r\n-- because you don't get search result from passive clients !!! --\r\n-- Turn it off in settings => SababaDC => Always use Passive Mode for Search --\r\n"
        ANY, // "Any"
        ASCROLL_CHAT, // "Autoscroll chat"
        AT_LEAST, // "At least"
        AT_MOST, // "At most"
        AUDIO, // "Audio"
        AUTO, // "Auto"
        AUTO_CONNECT, // "Auto connect / Name"
        AUTO_GRANT, // "Auto grant slot / Nick"
        AUTOMATIC, // "Automatic"
        AVERAGE, // "Average/s: "
        AVERAGE_UPLOAD, // "Upload Speed"
        AWAY, // "AWAY"
        AWAY_MODE_OFF, // "Away mode off"
        AWAY_MODE_ON, // "Away mode on: "
        LIMITER_OFF, // "Transfer limiter disabled"
        LIMITER_ON, // "Transfer limiter enabled"
        TRAY_LIMITER, // "Limit transfer speeds\tF4"
        B, // "B"
        BALLOON_POPUPS, // "Balloon popups"
        BITZI_LOOKUP, // "Bitzi Lookup"
        BLOCK_FINISHED, // "Segment Block Finished, waiting..."
        BROWSE, // "Browse..."
        BROWSE_ACCEL, // "&Browse..."
        BROWSE_FILE_LIST, // "Browse file list"
        BUMPED, // "Bumped"
        CANCEL, // "Cancel"
        CERTIFICATE_NOT_TRUSTED, // "Certificate not trusted, unable to connect"
        CERTIFICATE_GENERATION_FAILED, // "TLS disabled, failed to generate certificate: "
        CLEAR, // "Clear chat"
        CLOSE, // "Close"
        CLOSE_CONNECTION, // "Close connection"
        COLLAPSE_ALL, // "Collapse All"
        COLOR_FAST, // "User with fireball"
        COLOR_OP, // "User is OP"
        COLOR_PASIVE, // "Passive user"
        COLOR_SERVER, // "User with server"
        COMMAND_TOO_LONG, // "Maximum command length exceeded"
        COMPRESSED, // "Compressed"
        COMPRESSION_ERROR, // "Error during compression"
        CONFIGURE, // "&Configure"
        CONFIGURED_HUB_LISTS, // "Configured Public Hub Lists"
        CONNECT, // "&Connect"
        CONNECT_ALL, // "Connect to all users"
        CONNECT_FAVUSER_HUB, // "Connect to hub"
        CONNECTED, // "Connected"
        CONNECTING, // "Connecting..."
        CONNECTING_FORCED, // "Connecting (forced)..."
        CONNECTING_TO, // "Connecting to "
        CONNECTING_TO_SERVER, // "Connecting to server"
        CONNECTION, // "Connection"
        CONNECTION_CLOSED, // "Connection closed"
        CONNECTION_ERROR, // "Connection error"
        CONNECTION_TIMEOUT, // "Connection timeout"
        COPY, // "Copy"
        COPY_ALL, // "Copy All"
        COPY_DESCRIPTION, // "Copy description"
        COPY_EMAIL_ADDRESS, // "Copy email address"
        COPY_EXACT_SHARE, // "Copy Exact Share"
        COPY_HUB, // "Copy address to clipboard"
        COPY_IP, // "Copy IP"
        COPY_LINE, // "Copy actual line"
        COPY_MAGNET_LINK, // "Copy magnet link to clipboard"
        COPY_NICK, // "Copy nick"
        COPY_NICK_IP, // "Copy Nick+IP"
        COPY_TAG, // "Copy TAG"
        COPY_URL, // "Copy URL"
        CORRUPTION_DETECTED, // "Corruption detected at position"
        COULD_NOT_OPEN_TARGET_FILE, // "Could not open target file: "
        COUNT, // "Count"
        COUNTRY, // "Country"
        CURRENT_VERSION, // "Current version"
        DATA_RETRIEVED, // "Data retrieved"
        DECOMPRESSION_ERROR, // "Error during decompression"
        DEFAULT, // "Default"
        DESCRIPTION, // "Description"
        DESTINATION, // "Destination"
        DIRECTORY, // "Directory"
        DIRECTORY_ADD_ERROR, // "Directory or directory name already exists"
        DISABLE_SOUNDS, // "Disable sounds"
        DISABLED, // "Disabled"
        DISCONNECT_ALL, // "Disconnect all users"
        DISCONNECTED, // "Disconnected"
        DISCONNECTED_USER, // "Disconnected user leaving the hub: "
        DOCUMENT, // "Document"
        DONE, // "Done"
        DONT_ADD_SEGMENT_TEXT, // "Don't begin new segment if overall file speed is over"
        DONT_REMOVE_SLASH_PASSWORD, // "Don't remove /password before your password"
        DONT_SHARE_TEMP_DIRECTORY, // "The temporary download directory cannot be shared"
        DOWNLOAD, // "Download"
        DOWNLOAD_FAILED, // "Download failed: "
        DOWNLOAD_FINISHED_IDLE, // "Download finished, idle..."
        DOWNLOAD_QUEUE, // "Download queue"
        DOWNLOAD_STARTING, // "Download starting..."
        DOWNLOAD_TO, // "Download to..."
        DOWNLOAD_WHOLE_DIR, // "Download whole directory"
        DOWNLOAD_WHOLE_DIR_TO, // "Download whole directory to..."
        DOWNLOAD_WITH_PRIORITY, // "Download with priority..."
        DOWNLOADED, // "Downloaded"
        DOWNLOADED_BYTES, // "Downloaded %s (%.01f%%) in %s"
        DOWNLOADED_FROM, // " downloaded from "
        DOWNLOADED_PARTS, // "Downloaded parts"
        DOWNLOADING, // "Downloading..."
        DOWNLOADING_HUB_LIST, // "Downloading public hub list..."
        DOWNLOADING_LIST, // "Downloading list..."
        DU, // "Down/Up:"
        DUPLICATE_SOURCE, // "Duplicate source"
        EB, // "EB"
        EDIT_ACCEL, // "&Edit"
        EMAIL, // "E-Mail"
        ENABLE_MULTI_SOURCE, // "Enable multi-source"
        ENTER_NICK, // "Please enter a nickname in the settings dialog!"
        ENTER_PASSWORD, // "Please enter a password"
        ENTER_SEARCH_STRING, // "Enter search string"
        ERROR_CREATING_HASH_DATA_FILE, // "Error creating hash data file: "
        ERROR_CREATING_REGISTRY_KEY_ADC, // "Error creating adc registry key"
        ERROR_CREATING_REGISTRY_KEY_DCHUB, // "Error creating dchub registry key"
        ERROR_CREATING_REGISTRY_KEY_MAGNET, // "Error creating magnet registry key"
        ERROR_HASHING, // "Error hashing "
        ERROR_SAVING_HASH, // "Error saving hash data: "
        ERRORS, // "Errors"
        EXACT_SHARED, // "Exact Share"
        EXACT_SIZE, // "Exact size"
        EXECUTABLE, // "Executable"
        EXPAND_ALL, // "Expand All"
        EXPANDED_RESULTS, // "Expand search results"
        EXTRA_HUB_SLOTS, // "Slot ratio"
        EXTRA_SLOTS_SET, // "Extra slots set"
        FAILED_TO_SHUTDOWN, // "Failed to shutdown!"
        FAILED_TO_LOAD_CERTIFICATE, // "Failed to load certificate file"
        FAILED_TO_LOAD_PRIVATE_KEY, // "Failed to load private key"
        FAV_JOIN_SHOWING_OFF, // "Join/part of favorite users showing off"
        FAV_JOIN_SHOWING_ON, // "Join/part of favorite users showing on"
        FAVORITE_DIR_NAME, // "Favorite name"
        FAVORITE_DIR_NAME_LONG, // "Under what name you see the directory"
        FAVORITE_HUB_ADDED, // "Favorite hub added"
        FAVORITE_HUB_ALREADY_EXISTS, // "Hub already exists as a favorite"
        FAVORITE_HUB_DOES_NOT_EXIST, // "This hub is not a favorite hub"
        FAVORITE_HUB_IDENTITY, // "Identification (leave blank for defaults)"
        FAVORITE_HUB_PROPERTIES, // "Favorite Hub Properties"
        FAVORITE_HUB_REMOVED, // "Favorite hub removed"
        FAVORITE_HUBS, // "Favorite Hubs"
        FAVORITE_USER_ADDED, // "Favorite user added"
        FAVORITE_USERS, // "Favorite Users"
        FAVUSER_ONLINE, // "Favorite user online"
        FILE, // "File"
        FILE_LIST_DIFF, // "Subtract list"
        FILE_LIST_REFRESH_FAILED, // "File list refresh failed: "
        FILE_LIST_REFRESH_FINISHED, // "File list refresh finished"
        FILE_LIST_REFRESH_IN_PROGRESS, // "File list refresh in progress, please wait for it to finish before trying to refresh again"
        FILE_LIST_REFRESH_INITIATED, // "File list refresh initiated"
        FILE_NOT_AVAILABLE, // "File not available"
        FILE_TYPE, // "File type"
        FILE_WITH_DIFFERENT_SIZE, // "A file with a different size already exists in the queue"
        FILE_WITH_DIFFERENT_TTH, // "A file with diffent tth root already exists in the queue"
        FILENAME, // "Filename"
        FILES, // "Files"
        FILES_LEFT, // "files left"
        FILES_PER_HOUR, // "files/h"
        FILTER, // "F&ilter"
        FILTERED, // "Filtered"
        FIND, // "Find"
        FINISHED_DOWNLOAD, // "Download finished: %s"
        FINISHED_DOWNLOADS, // "Finished Downloads"
        FINISHED_UPLOAD, // "Upload finished: %s To: %s"
        FINISHED_UPLOADS, // "Finished Uploads"
        FOLDER, // "Folder"
        FORBIDDEN, // "Forbidden"
        FORBIDDEN_DOLLAR_FILE, // "File with '$' cannot be downloaded and will not be shared: "
        FORCE_ATTEMPT, // "Force attempt"
        GARBAGE_INCOMING, // "Send garbage on incomming connection (to avoid ISP P2P throttling)"
        GARBAGE_OUTGOING, // "Send garbage on outgoing connection (to avoid ISP P2P throttling)"
        GB, // "GB"
        GET_FILE_LIST, // "Get file list"
        GET_USER_RESPONSES, // "Get user response"
        GO_TO_DIRECTORY, // "Go to directory"
        GRANT_EXTRA_SLOT, // "Grant extra slot (10 min)"
        GRANT_EXTRA_SLOT_DAY, // "Grant extra slot (day)"
        GRANT_EXTRA_SLOT_HOUR, // "Grant extra slot (hour)"
        GRANT_EXTRA_SLOT_WEEK, // "Grant extra slot (week)"
        GRANT_SLOTS_MENU, // "Extra Slots"
        HASH_DATABASE, // "Hash database"
        HASH_PROGRESS, // "Creating file index..."
        HASH_PROGRESS_BACKGROUND, // "Run in background"
        HASH_PROGRESS_STATS, // "Statistics"
        HASH_PROGRESS_TEXT, // "Please wait while SababaDC indexes your files (they won't be shared until they've been indexed)..."
        HASH_READ_FAILED, // "Unable to read hash data file"
        HASH_REBUILT, // "Hash database rebuilt"
        HASHING_FAILED, // "Hashing failed: "
        HASHING_FINISHED, // "Finished hashing: "
        HIBERNATE, // "Hibernate"
        HIGH, // "High"
        HIGHEST, // "Highest"
        HISTORY, // "History"
        HIT_COUNT, // "Hits"
        HIT_RATIO, // "Hit Ratio: "
        HITS, // "Hits: "
        HUB, // "Hub"
        HUB_ADDRESS, // "Address"
        HUB_CONNECTED, // "Hub connected"
        HUB_DISCONNECTED, // "Hub disconnected"
        HUB_LIST, // "Hublist"
        HUB_LIST_DOWNLOADED, // "Hub list downloaded..."
        HUB_LIST_EDIT, // "Edit the hublist"
        HUB_NAME, // "Name"
        HUB_SEGMENTS, // "Hub / Segments"
        HUB_TOPIC, // "Hub Topic :"
        HUB_USERS, // "Users"
        HUBS, // "Hubs"
        CHATDBLCLICKACTION, // "Chat double click on user action"
        CHEATING_USER, // "Cheating user found"
        CHECK_0BYTE_SHARE, // "zero bytes real size"
        CHECK_FILELIST, // "Check File List"
        CHECK_FORBIDDEN, // "Shared forbidden file : %s"
        CHECK_INFLATED, // "filelist was inflated %s times"
        CHECK_MISMATCHED_SHARE_SIZE, // "Mismatched share size - "
        CHECK_ON_CONNECT, // "Check user on join"
        CHECK_SHOW_REAL_SHARE, // ", stated size = %[shareshort], real size = %[realshareformat]"
        CHECKING_CLIENT, // "Checking client..."
        CHOOSE_FOLDER, // "Choose folder"
        CHUNK_OVERLAPPED, // "Chunk overlapped by faster user"
        IGNORE_TTH_SEARCHES, // "Ignore TTH searches"
        IGNORE_USER, // "Ignore User"
        IGNORED_MESSAGE, // "Ignored message: "
        INCOMPLETE_FAV_HUB, // "Hub address cannot be empty."
        INVALID_LISTNAME, // "Invalid file list name"
        INVALID_NUMBER_OF_SLOTS, // "Invalid number of slots"
        INVALID_SIZE, // "Invalid size"
        INVALID_TARGET_FILE, // "Invalid target file (missing directory, check default download directory setting)"
        INVALID_TREE, // "Full tree does not match TTH root"
        IP, // "Ip: "
        IP_BARE, // "Ip"
        ITEMS, // "Items"
        JOIN_SHOWING_OFF, // "Join/part showing off"
        JOIN_SHOWING_ON, // "Join/part showing on"
        JOINS, // "Joins: "
        KB, // "kB"
        KBPS, // "kB/s"
        KBPS_DISABLE, // "kB/s (0 = disable)"
        KICK_USER, // "Kick user(s)"
        KICK_USER_FILE, // "Kick user(s) with filename"
        LARGER_TARGET_FILE_EXISTS, // "A file of equal or larger size already exists at the target location"
        LAST_HUB, // "Hub (last seen on if offline)"
        LAST_CHANGE, // "Last change: "
        LAST_SEEN, // "Time last seen"
        LATEST_VERSION, // "Latest version"
        LEAF_CORRUPTED, // "File was corrupted, redownloading %s..."
        LEFT, // "left"
        LEFT_COLOR, // "Left color"
        LIB_CRASH, // "Application \"%s\" caused an unhandled exception in SababaDC. Please uninstall it, upgrade it or use an alternate product."
        LISTENER_FAILED, // "Listening socket failed (you need to restart SababaDC): "
        LOADED_FILE_LIST, // "File list loaded."
        LOADING_FILE_LIST, // "Loading file list, this may take a while if the list is large."
        LOG_OFF, // "Log off"
        LOW, // "Low"
        LOWEST, // "Lowest"
        MAGNET_DLG_FILE, // "Filename:"
        MAGNET_DLG_HASH, // "File Hash:"
        MAGNET_DLG_NOTHING, // "Do nothing"
        MAGNET_DLG_QUEUE, // "Add this file to your download queue"
        MAGNET_DLG_REMEMBER, // "Do the same action next time without asking"
        MAGNET_DLG_SEARCH, // "Start a search for this file"
        MAGNET_DLG_SIZE, // "File Size:"
        MAGNET_DLG_TEXT_BAD, // "A MAGNET link was given to SababaDC, but it didn't contain a valid file hash for use on the Direct Connect network.  No action will be taken."
        MAGNET_DLG_TEXT_GOOD, // "SababaDC has detected a MAGNET link with a file hash that can be searched for on the Direct Connect network.  What would you like to do?"
        MAGNET_DLG_TITLE, // "MAGNET Link detected"
        MAGNET_HANDLER_DESC, // "Download files from the Direct Connect network"
        MAGNET_HANDLER_ROOT, // "SababaDC"
        MAGNET_SHELL_DESC, // "URL:MAGNET URI"
        MATCH_QUEUE, // "Match queue"
        MATCHED_FILES, // "Matched %d file(s)"
        MAX_HUBS, // "Max Hubs"
        MAX_SEGMENTS_NUMBER, // "Max number of segments"
        MAX_SIZE, // "Max Size"
        MAX_USERS, // "Max Users"
        MB, // "MB"
        MBITSPS, // "MBits/s"
        MBPS, // "MB/s"
        MENU_ABOUT, // "About\tF3"
        MENU_ADL_SEARCH, // "ADL Search\tCtrl+Shift+A"
        MENU_BROWSER, // "Home page\tF2"
        MENU_CDMDEBUG_MESSAGES, // "CDM Debug Messages"
        MENU_CLOSE_ALL_DIR_LIST, // "Close all file list windows\tCtrl+F10"
        MENU_CLOSE_ALL_OFFLINE_PM, // "Close all offline PM windows\tCtrl+F9"
        MENU_CLOSE_ALL_PM, // "Close all PM windows\tCtrl+F8"
        MENU_CLOSE_ALL_SEARCHFRAME, // "Close all search windows\tCtrl+F7"
        MENU_CLOSE_DISCONNECTED, // "Close disconnected\tCtrl+F2"        
        MENU_CONNECT_FAVORITES, // "Connect to favorite hubs\tCtrl+F6"
        MENU_RECONNECT_DISCONNECTED, // "Reconnect disconnected\tCtrl+F1"
        MENU_CLOSE_ALL_HUBS, // "Close all hubs\tCtrl+F3"
        MENU_CLOSE_HUBS_BELOW, // "Close hubs below threshold users\tCtrl+F4"
        MENU_CLOSE_HUBS_EMPTY, // "Close hubs with no users\tCtrl+F5"
        MENU_DOWNLOAD_QUEUE, // "&Download Queue\tCtrl+D"
        MENU_EXIT, // "E&xit\tAlt+X"
        MENU_FAVORITE_HUBS, // "&Favorite Hubs\tCtrl+F"
        MENU_FAVORITE_USERS, // "Favorite &Users\tCtrl+U"
        MENU_FILE, // "&File"
        MENU_FILE_RECENT_HUBS, // "&Recent Hubs\tCtrl+B"
        MENU_FINISHED_DOWNLOADS, // "Finished Downloads\tCtrl+Shift+F"
        MENU_FINISHED_UPLOADS, // "Finished Uploads\tCtrl+Shift+G"
        MENU_FOLLOW_REDIRECT, // "Follow last redirec&t\tCtrl+T"
        MENU_HASH_PROGRESS, // "Indexing progress\tCtrl+W"
        MENU_HELP_POPUP, // "&Help"
        MENU_HELP, // "Help\tF1"
        MENU_NETWORK, // "&Network"
        MENU_HELP_GEOIPFILE, // "GeoIP database update\tF11"
        MENU_HOMEPAGE, // "HomePage\tF10"
        MENU_NETWORK_STATISTICS, // "Network Statistics\tCtrl+O"
        MENU_NOTEPAD, // "&Notepad\tCtrl+N"
        MENU_OPEN_DOWNLOADS_DIR, // "Open downloads directory\tF8"
        MENU_OPEN_FILE_LIST, // "Open file list...\tCtrl+L"
        MENU_OPEN_MATCH_ALL, // "Match downloaded lists\tCtrl+M"
        MENU_OPEN_OWN_LIST, // "Open own list\tF7"
        MENU_PUBLIC_HUBS, // "&Public Hubs\tCtrl+P"
        MENU_QUICK_CONNECT, // "&Quick Connect ...\tCtrl+Q"
        MENU_RECONNECT, // "&Reconnect\tCtrl+R"
        MENU_REFRESH_FILE_LIST, // "Refresh file list\tCtrl+E"
        MENU_SEARCH_POPUP, // "&Search"
        MENU_SEARCH, // "&Search\tCtrl+S"
        MENU_SEARCH_SPY, // "Search spy\tCtrl+Y"
        MENU_SETTINGS, // "Settings...\tF6"
        MENU_SHARE, // "Share"
        MENU_SHOW, // "Show SababaDC"
        MENU_STATUS_BAR, // "&Status bar\tCtrl+2"
        MENU_TOOLBAR, // "&Toolbar\tCtrl+1"
        MENU_TRANSFER_VIEW, // "T&ransfers\tCtrl+3"
        MENU_TRANSFERS, // "&Transfers"
        MENU_TTH, // "Get TTH for file...\tCtrl+Shift+T"
        MENU_UPDATE_CHECK, // "Update check\tF12"
        MENU_WAITING_USERS, // "Waiting Users\tCtrl+Shift+W"
        MENU_WINDOW, // "&Window"
        MENUBAR, // "Menu bar"
        MIN_SHARE, // "Min Share"
        MIN_SLOTS, // "Min Slots"
        MINIMUM_SEARCH_INTERVAL, // "Minimum search interval"
        MINUTES, // "Minutes"
        MODE, // "Mode"
        MOVE, // "Move/Rename"
        MOVE_DOWN, // "Move &Down"
        MOVE_UP, // "Move &Up"
        MYNICK_IN_CHAT, // "My nick in mainchat"
        NETLIMITER_WARNING, // "NetLimiter was detected in your computer. It is frequently responsible for SababaDC crash, upload disconnecting and slow download speed. Please uninstall it and use an alternate product, or built-in limiter."
        NETWORK_STATISTICS, // "Network Statistics"
        NEW, // "&New..."
        NEW_DISCONNECT, // "or if the speed is below"
        NEXT, // "Next"
        NICK, // "Nick"
        NICK_TAKEN, // "Your nick was already taken, please change to something else!"
        NICK_UNKNOWN, // " (Nick unknown)"
        NO_CERTIFICATE_FILE_SET, // "TLS disabled, no certificate file set"
        NO_DIRECTORY_SPECIFIED, // "No directory specified"
        NO_DOWNLOADS_FROM_PASSIVE, // "Can't download from passive users when you're passive"
        NO_DOWNLOADS_FROM_SELF, // "You're trying to download from yourself!"
        NO_ERRORS, // "No errors"
        NO_FREE_BLOCK, // "No free block"
        NO_LOG_FOR_HUB, // "Hub log not exist"
        NO_LOG_FOR_USER, // "User log not exist"
        NO_MATCHES, // "No matches"
        NO_NEEDED_PART, // "No needed part"
        NO_SLOTS_AVAILABLE, // "No slots available"
        NO_USERS, // "No users"
        NORMAL, // "Normal"
        NOT_LISTENING, // "Not listening for connections - please restart DC++"
        NOTEPAD, // "Notepad"
        NUMBER_OF_SEGMENTS, // "segment(s)"
        OFFLINE, // "Offline"
        OK, // "OK"
        ONLINE, // "Online"
        ONLY_FREE_SLOTS, // "Only users with free slots"
        ONLY_WHERE_OP, // "Only where I'm op"
        OPEN, // "Open"
        OPEN_DOWNLOAD_PAGE, // "Open download page?"
        OPEN_FOLDER, // "Open folder"
        OPEN_HUB_LOG, // "Open hub log"
        OPEN_USER_LOG, // "Open user log"
        PARTS, // "Parts: "
        PASSIVE_USER, // "Passive user"
        PASSWORD, // "Password"
        PATH, // "Path"
        PAUSED, // "Paused"
        PB, // "PB"
        PICTURE, // "Picture"
        PK, // "PK String"
        PLAY, // "Play"
        POPUP_DOWNLOAD_FAILED, // "Show popup on download failed"
        POPUP_DOWNLOAD_FINISHED, // "Show popup on download finished"
        POPUP_DOWNLOAD_START, // "Show popup on download begins"
        POPUP_FAVORITE_CONNECTED, // "Show popup on favorite user connected"
        POPUP_HUB_CONNECTED, // "Show popup on hub connected"
        POPUP_HUB_DISCONNECTED, // "Show popup on hub disconnected"
        POPUP_CHEATING_USER, // "Show popup on cheating user found"
        POPUP_NEW_PM, // "Show popup on new private message"
        POPUP_PM, // "Show popup on private message"
        POPUP_TYPE, // "Popup type"
        POPUP_UPLOAD_FINISHED, // "Show popup on upload finished"
        PORT, // "Port: "
        POWER_OFF, // "Power off"
        PRESS_FOLLOW, // "Press the follow redirect button to connect to "
        PREVIEW_MENU, // "Preview"
        PREVIOUS_FOLDERS, // "Previous folders"
        PRIORITY, // "Priority"
        PRIVATE_MESSAGE, // "Private message"
        PRIVATE_MESSAGE_FROM, // "Private message from "
        PROGRESS_BACK, // "Transfer progressbar - background"
        PROGRESS_COMPRESS, // "Transfer progressbar - decompressed part"
        PROGRESS_DOWNLOADED, // "Queue progressbar - downloaded chunks"
        PROGRESS_RUNNING, // "Queue progressbar - running chunks"
        PROGRESS_SEGMENT, // "Transfer progressbar - actual segment"
        PROGRESS_VERIFIED, // "Queue progressbar - verified chunks"
        PROGRESS_AVOIDING, // "Queue progressbar - common blocks"
        PROGRESSBAR_ODC_STYLE, // "oDC Style"
        PROGRESSBAR_STEALTHY_STYLE, // "Stealthy Style"
        PROPERTIES, // "&Properties"
        PUBLIC_HUBS, // "Public Hubs"
        PURGE, // "Purge"
        QUEUE_UPDATING, // "Enable queue updating in real time (uses more CPU on large queue!)"
        QUICK_CONNECT, // "Quick Connect"
        RATING, // "Rating"
        RATIO, // "Ratio"
        READD_SOURCE, // "Readd source"
        REALLY_EXIT, // "Really exit?"
        REALLY_REMOVE, // "Really remove?"
        REASON, // "Reason"
        REBOOT, // "Reboot"
        RECENT_HUBS, // "Recent Hubs"
        REDIRECT_ALREADY_CONNECTED, // "Redirect request received to a hub that's already connected"
        REDIRECT_USER, // "Redirect user(s)"
        REFRESH, // "&Refresh"
        REFRESH_USER_LIST, // "Refresh user list"
        RELIABILITY, // "Reliability"
        REMOVE, // "&Remove"
        REMOVE_ALL, // "Remove all"
        REMOVE_EXTRA_SLOT, // "Remove extra slot"
        REMOVE_FROM_ALL, // "Remove user from queue"
        REMOVE_OFFLINE, // "Remove offline users"
        REMOVE_SOURCE, // "Remove source"
        RENAMED_TO, // " renamed to "
        REPORT, // "Report user"        
        RETRIEVING_DATA, // "Retrieving data"
        RIGHT_COLOR, // "Right color"
        ROLLBACK_INCONSISTENCY, // "Rollback inconsistency, existing file does not match the one being downloaded"
        RUNNING, // "Running..."
        SEARCH, // "Search"
        SEARCH_FOR, // "Search for"
        SEARCH_FOR_ALTERNATES, // "Search for alternates"
        SEARCH_FOR_FILE, // "Search for file"
        SEARCH_IN_RESULTS, // "Search in results"
        SEARCH_OPTIONS, // "Search options"
        SEARCH_SPAM_FROM, // "Search spam detected from "
        SEARCH_SPY, // "Search Spy"
        SEARCH_STRING, // "Search String"
        SEARCHING_FOR, // "Searching for"
        SECONDS, // "Seconds"
        SEEK_BEYOND_END, // "Request to seek beyond the end of data"
        SEGMENT, // "Segment"
        SEGMENTS, // "Segments"
        SELECT_ALL, // "Select all"
        SELECT_USER_LIST, // "Select user in list"
        SEND_PRIVATE_MESSAGE, // "Send private message"
        SEND_PUBLIC_MESSAGE, // "Send public message"
        SEPARATOR, // "Separator"
        SERVER, // "Server"
        SET_PRIORITY, // "Set priority"
        SETCZDC_ALTERNATE_LIMITING, // "Use Alternate Limiting from"
        SETCZDC_BACK_COLOR, // "Back color"
        SETCZDC_BLACK_WHITE, // "Black & white"
        SETCZDC_BOLD, // "Bold Authors of messages in chat"
        SETCZDC_CZCHARS_DISABLE, // "Remove diacritic marks from Czech chars"
        SETCZDC_DEFAULT_STYLE, // "Default styles"
        SETCZDC_DISCONNECTING_ENABLE, // "Enable slow downloads disconnecting"
        SETCZDC_DOWNLOAD_SPEED, // "Download Speed"
        SETCZDC_ENABLE_LIMITING, // "Limit transfer speeds"
        SETCZDC_ERROR_COLOR, // "Error color"
        SETCZDC_H_DOWN_SPEED, // "And whole file speed exceeds"
        SETCZDC_I_DOWN_SPEED, // "Disconnect download if speed is below"
        SETCZDC_MAGNET_URI_HANDLER, // "Install Magnet URI handler on startup"
        SETCZDC_MIN_FILE_SIZE, // "And file size is more than"
        SETCZDC_NOTE_DOWNLOAD, // "* If upload limit is set, download limit is max 4 x upload limit !!!"
        SETCZDC_NOTE_SMALL_UP, // "* Small Uploads Slots => Slots for filelist and Small Files."
        SETCZDC_NOTE_UPLOAD, // "* Minimal upload limit is set to 5k !!!"
        SETCZDC_PASSIVE_SEARCH, // "Always use passive mode for Search (Use only if you know what this doing !!!)"
        SETCZDC_PREVIEW, // "Preview"
        SETCZDC_PRIVATE_SOUND, // "Private message sound"
        SETCZDC_PROGRESSBAR_COLORS, // "Progressbar colors"
        SETCZDC_PROGRESSBAR_TEXT, // "Progressbar text colors"
        SETCZDC_REMOVE_FORBIDDEN, // "Remove Forbidden (Unfinished Kazaa, Win MX, GetRight, eMule, SababaDC)"
        SETCZDC_SECONDARY_LIMITING, // "Secondary transfer limiter"
        SETCZDC_SLOW_DISCONNECT, // "Disconnecting slow downloads"
        SETCZDC_SMALL_FILES, // "Small file size"
        SETCZDC_SMALL_UP_SLOTS, // "Small Upload Slots"
        SETCZDC_STYLES, // "Available styles"
        SETCZDC_TEXT_COLOR, // "Text color"
        SETCZDC_TEXT_STYLE, // "Text style"
        SETCZDC_TIME_DOWN, // "More than"
        SETCZDC_TO, // "to"
        SETCZDC_TRANSFER_LIMITING, // "Limit transfer speeds"
        SETCZDC_UPLOAD, // "Upload"
        SETCZDC_UPLOAD_SPEED, // "Upload Speed"
        SETCZDC_WINAMP, // "Media toolbar and spam settings"
        SETTINGS, // "Settings"
        SETTINGS_ADD_FOLDER, // "&Add folder"
        SETTINGS_ADLS_BREAK_ON_FIRST, // "Break on first ADLSearch match"
        SETTINGS_ADVANCED, // "Advanced"
        SETTINGS_ADVANCED_RESUME, // "Advanced resume using TTH"
        SETTINGS_ADVANCED_SHOW_SHARE_CHECKED_USERS, // "Show share-checked users"
        SETTINGS_ADVANCED_SUPPRESS_MAIN_CHAT, // "Suppress main chat"
        SETTINGS_ADVANCED3, // "Experts only"
        SETTINGS_ALLOW_UNTRUSTED_CLIENTS, // "Allow TLS connections to clients without trusted certificate"
        SETTINGS_ALLOW_UNTRUSTED_HUBS, // "Allow TLS connections to hubs without trusted certificate"
        SETTINGS_ANTI_FRAG, // "Use antifragmentation method for downloads"
        SETTINGS_APPEARANCE, // "Appearance"
        SETTINGS_ARGUMENT, // "Arguments"
        SETTINGS_AUTO_AWAY, // "Auto-away on minimize (and back on restore)"
        SETTINGS_AUTO_DROP_SEGMENTED_SOURCE, // "When segmented downloading only (more than 2 active sources)"
        SETTINGS_AUTO_FOLLOW, // "Automatically follow redirects"
        SETTINGS_AUTO_KICK, // "Automatically disconnect users who leave the hub"
        SETTINGS_AUTO_KICK_NO_FAVS, // "Don't automatically disconnect favorite users who leave the hub"
        SETTINGS_AUTO_OPEN, // "Auto-open at startup"
        SETTINGS_AUTO_PRIORITY_DEFAULT, // "Use Auto Priority by default"
        SETTINGS_AUTO_REFRESH_TIME, // "Auto refresh time"
        SETTINGS_AUTO_SEARCH, // "Automatically search for alternative TTH source every"
        SETTINGS_AUTO_SEARCH_AUTO_MATCH, // "Automatically match queue for auto search hits"
        SETTINGS_AUTO_SEARCH_LIMIT, // "No autosearch if sources more"
        SETTINGS_AVIPREVIEW, // "File Preview"
        SETTINGS_BAD_SOFTWARE, // "Detect conflicting software"
        SETTINGS_BIND_ADDRESS, // "Bind address"
        SETTINGS_BIND_ADDRESS_HELP, // "Network interface for all connections"
        SETTINGS_BOLD_OPTIONS, // "Tab bolding on content change"
        SETTINGS_BWBOTH, // "Connection type (old DC++ method)"
        SETTINGS_BWSINGLE, // "Default (new DC++ method)"
        SETTINGS_CERTIFICATES, // "Security"
        SETTINGS_CLEAR_SEARCH, // "Clear search box after each search"
        SETTINGS_CLIENTS, // "Clients"
        SETTINGS_COLOR_ALTERNATE, // "Search Alternate"
        SETTINGS_COLOR_BAD_CLIENT, // "Bad client"
        SETTINGS_COLOR_BAD_FILELIST, // "Bad filelist/fakeshare"
        SETTINGS_COLOR_CLIENT_CHECKED, // "Client checked"
        SETTINGS_COLOR_FAVORITE, // "Favorite"
        SETTINGS_COLOR_FILELIST_CHECKED, // "File list checked"
        SETTINGS_COLOR_FULL_CHECKED, // "Full checked"
        SETTINGS_COLOR_IGNORED, // "Ignored"
        SETTINGS_COLOR_NORMAL, // "Normal"
        SETTINGS_COLOR_RESERVED, // "Has reserved slot"
        SETTINGS_COLORS, // "Other colors"
        SETTINGS_COMMAND, // "Command"
        SETTINGS_COMPRESS_TRANSFERS, // "Enable safe and compressed transfers"
        SETTINGS_CONFIGURE_HUB_LISTS, // "Configure Public Hub Lists"
        SETTINGS_CONFIRM_DIALOG_OPTIONS, // "Confirm dialog options"
        SETTINGS_CONFIRM_EXIT, // "Confirm application exit"
        SETTINGS_CONFIRM_HUB_REMOVAL, // "Confirm favorite hub removal"
        SETTINGS_CONFIRM_ITEM_REMOVAL, // "Confirm item removal in download queue"
        SETTINGS_CZDC_EXTRA_DOWNLOADS, // "Highest Priority Extra Download Slots"
        SETTINGS_DEBUG_COMMANDS, // "Debug commands"
        SETTINGS_DEFAULT_AWAY_MSG, // "Default away message"
        SETTINGS_DIRECT, // "Direct connection"
        SETTINGS_DIRECTORIES, // "Directories"
        SETTINGS_DISPLAY_CHEATS_IN_MAIN_CHAT, // "Display cheats in main chat"
        SETTINGS_DONT_DL_ALREADY_SHARED, // "Don't download files already in share"
        SETTINGS_DOWNCONN, // "Dwnld attempts/second"
        SETTINGS_DOWNLOAD_DIRECTORY, // "Default download directory"
        SETTINGS_DOWNLOAD_LIMITS, // "Limits"
        SETTINGS_DOWNLOADS, // "Downloads"
        SETTINGS_DOWNLOADS_MAX, // "Maximum simultaneous downloads (0 = infinite)"
        SETTINGS_DOWNLOADS_SPEED_PAUSE, // "No new downloads if speed exceeds (kB/s, 0 = disable)"
        SETTINGS_EXPAND_QUEUE, // "Automatically expand folders in Queue"
        SETTINGS_EXTENSIONS, // "Extensions"
        SETTINGS_EXTERNAL_IP, // "External / WAN IP"
        SETTINGS_FAKEDETECT, // "Fake detector"
        SETTINGS_FAV_SHOW_JOINS, // "Only show joins / parts for favorite users"
        SETTINGS_FAVORITE_DIRS, // "Favorite download directories"
        SETTINGS_FAVORITE_DIRS_PAGE, // "Favorites"
        SETTINGS_FILE_NAME, // "Filename"
        SETTINGS_FILES_MAX, // "Maximum simultaneous files (0 = infinite)"
        SETTINGS_FILTER_MESSAGES, // "Filter kick and NMDC debug messages"
        SETTINGS_FILTER_ENTER, // "Activate search/userlist filter by pressing Enter"
        SETTINGS_FIREWALL_NAT, // "Firewall with manual port forwarding"
        SETTINGS_FIREWALL_PASSIVE, // "Firewall (passive, worst case)"
        SETTINGS_FIREWALL_UPNP, // "Firewall with UPnP (WinXP+ only)"
        SETTINGS_FORMAT, // "Format"
        SETTINGS_GENERAL, // "General"
        SETTINGS_GET_USER_COUNTRY, // "Get User Country"
        SETTINGS_HUB_USER_COMMANDS, // "Accept custom user commands from hub"
        SETTINGS_CHANGE, // "&Change"
        SETTINGS_IGNORE_HUB_PMS, // "Ignore private messages from the hub"
        SETTINGS_IGNORE_BOT_PMS, // "Ignore private messages from bots"
        SETTINGS_INCOMING, // "Incoming connection settings (see Help/FAQ if unsure)"
        SETTINGS_KEEP_LISTS, // "Don't delete file lists when exiting"
        SETTINGS_LANGUAGE_FILE, // "Language file"
        SETTINGS_LIMIT, // "Limits"
        SETTINGS_LOG_DOWNLOADS, // "Log downloads"
        SETTINGS_LOG_FILELIST_TRANSFERS, // "Log filelist transfers"
        SETTINGS_LOG_MAIN_CHAT, // "Log main chat"
        SETTINGS_LOG_PRIVATE_CHAT, // "Log private chat"
        SETTINGS_LOG_STATUS_MESSAGES, // "Log status messages"
        SETTINGS_LOG_SYSTEM_MESSAGES, // "Log system messages"
        SETTINGS_LOG_UPLOADS, // "Log uploads"
        SETTINGS_LOG_WEBSERVER, // "Log webserver"
        SETTINGS_LOGGING, // "Logging"
        SETTINGS_LOGS, // "Logs"
        SETTINGS_MAX_COMPRESS, // "Max compression level"
        SETTINGS_MAX_HASH_SPEED, // "Max hash speed"
        SETTINGS_MAX_TAB_ROWS, // "Max tab rows"
        SETTINGS_MINIMIZE_ON_STARTUP, // "Minimize at program startup"
        SETTINGS_MINIMIZE_TRAY, // "Minimize to tray"
        SETTINGS_MOUSE_OVER, // "Mouse Over"
        SETTINGS_NAME, // "Name"
        SETTINGS_NETWORK, // "Connection settings"
        SETTINGS_NO_AWAYMSG_TO_BOTS, // "Don't send the away message to bots"
        SETTINGS_NOMINAL_BANDWIDTH, // "Nominal bandwidth"
        SETTINGS_NORMAL, // "Normal"
        SETTINGS_ODC_SHUTDOWNTIMEOUT, // "timeout"
        SETTINGS_ONLY_HASHED, // "Note; Files appear in the share only after they've been hashed!"
        SETTINGS_OPEN_NEW_WINDOW, // "Open new window when using /join"
        SETTINGS_OPERACOLORS, // "Progressbar colors"
        SETTINGS_OPTIONS, // "Options"
        SETTINGS_OUTGOING, // "Outgoing connection settings"
        SETTINGS_OVERRIDE, // "Don't allow hub/UPnP to override"
        SETTINGS_PERSONAL_INFORMATION, // "Personal Information"
        SETTINGS_PM_BEEP, // "Make an annoying sound every time a private message is received"
        SETTINGS_PM_BEEP_OPEN, // "Make an annoying sound when a private message window is opened"
        SETTINGS_PM_HISTORY, // "PM history"
        SETTINGS_POPUNDER_FILELIST, // "Open new file list windows in the background"
        SETTINGS_POPUNDER_PM, // "Open new private message windows in the background"
        SETTINGS_POPUP_BOT_PMS, // "Open private messages from the hub in their own window"
        SETTINGS_POPUP_HUB_PMS, // "Open private messages from bots in their own window"
        SETTINGS_POPUP_PMS, // "Open private messages in their own window"
        SETTINGS_PORTS, // "Ports"
        SETTINGS_PRIO_AUTOPRIO, // "Autoprio settings - Auto priority option must be OFF!"
        SETTINGS_PRIO_HIGH, // "High prio max size"
        SETTINGS_PRIO_HIGHEST, // "Highest prio max size"
        SETTINGS_PRIO_LOW, // "Low prio max size"
        SETTINGS_PRIO_LOWEST, // "Set lowest prio for newly added files larger than Low prio size"
        SETTINGS_PRIO_NORMAL, // "Normal prio max size"
        SETTINGS_PROMPT_PASSWORD, // "Popup box to input password for hubs"
        SETTINGS_PUBLIC_HUB_LIST, // "Public Hubs list"
        SETTINGS_PUBLIC_HUB_LIST_HTTP_PROXY, // "HTTP Proxy (for hublist only)"
        SETTINGS_PUBLIC_HUB_LIST_URL, // "Public Hubs list URL"
        SETTINGS_QUEUE, // "Queue"
        SETTINGS_RENAME_FOLDER, // "Rename"
        SETTINGS_REQUIRES_RESTART, // "Note; most of these options require that you restart SababaDC"
        SETTINGS_RESET, // "Reset"
        SETTINGS_ROLLBACK, // "Rollback"
        SETTINGS_SB_MAX_SOURCES, // "Max sources for match queue"
        SETTINGS_SEARCH_HISTORY, // "Search history"
        SETTINGS_SEGMENT, // "Segment Downloading"
        SETTINGS_SELECT_COLOR, // "Select color"
        SETTINGS_SELECT_TEXT_FACE, // "&Text style"
        SETTINGS_SELECT_WINDOW_COLOR, // "&Window color"
        SETTINGS_SEND_UNKNOWN_COMMANDS, // "Send unknown /commands to the hub"
        SETTINGS_SHARE_HIDDEN, // "Share hidden files"
        SETTINGS_SHARE_SIZE, // "Total size:"
        SETTINGS_SHARED_DIRECTORIES, // "Shared directories"
        SETTINGS_SHOW_INFO_TIPS, // "Show InfoTips in lists"
        SETTINGS_SHOW_JOINS, // "Show joins / parts in chat by default"
        SETTINGS_SHOW_PROGRESS_BARS, // "Show progress bars for transfers (uses some CPU)"
        SETTINGS_SHOW_SHELL_MENU, // "Show shell menu in finished transfers"
        SETTINGS_SKIP_ZERO_BYTE, // "Skip zero-byte files"
        SETTINGS_SOCKS5, // "SOCKS5"
        SETTINGS_SOCKS5_IP, // "Socks IP"
        SETTINGS_SOCKS5_PORT, // "Port"
        SETTINGS_SOCKS5_RESOLVE, // "Use SOCKS5 server to resolve host names"
        SETTINGS_SOCKS5_USERNAME, // "Login"
        SETTINGS_SORT_FAVUSERS_FIRST, // "Sort favorite users first"
        SETTINGS_SOUNDS, // "Sounds"
        SETTINGS_SPEEDS_NOT_ACCURATE, // "Note; because of changing download speeds, this is not 100% accurate..."
        SETTINGS_STATUS_IN_CHAT, // "View status messages in main chat"
        SETTINGS_TCP_PORT, // "TCP"
        SETTINGS_TLS_PORT, // "TLS"
        SETTINGS_TEXT_STYLES, // "Colors & Fonts"
        SETTINGS_TIME_STAMPS, // "Show timestamps in chat by default"
        SETTINGS_TIME_STAMPS_FORMAT, // "Set timestamps"
        SETTINGS_TOGGLE_ACTIVE_WINDOW, // "Toggle window when selecting an active tab"
        SETTINGS_TOOLBAR, // "Toolbar"
        SETTINGS_TOOLBAR_ADD, // "Add -->"
        SETTINGS_TOOLBAR_IMAGE, // "Toolbar images"
        SETTINGS_TOOLBAR_REMOVE, // "<-- Remove"
        SETTINGS_UDP_PORT, // "UDP Port"
        SETTINGS_UNFINISHED_DOWNLOAD_DIRECTORY, // "Unfinished downloads directory"
        SETTINGS_UPLOAD_LINE_SPEED, // "Line speed (upload)"
        SETTINGS_UPLOADS, // "Sharing"
        SETTINGS_UPLOADS_MIN_SPEED, // "Automatically open an extra slot if speed is below (0 = disable)"
        SETTINGS_UPLOADS_SLOTS, // "Upload slots"
        SETTINGS_URL_HANDLER, // "Install URL handler on startup (to handle dchub:// links)"
        SETTINGS_USE_CTRL_FOR_LINE_HISTORY, // "Use CTRL for line history"
        SETTINGS_USE_EXTENSION_DOWNTO, // "Use file extension for Download to in search"
        SETTINGS_USE_OLD_SHARING_UI, // "Use old sharing user interface"
        SETTINGS_USE_SYSTEM_ICONS, // "Use system icons when browsing files (slows browsing down a bit)"
        SETTINGS_USE_TLS, // "Use TLS when remote client supports it"
        SETTINGS_USE_VERTICAL_VIEW, // "Use vertical view by default"
        SETTINGS_USER_COLORS, // "User List Colors"
        SETTINGS_USER_COMMANDS, // "User Commands"
        SETTINGS_WEBSERVER, // "Enable Webserver"
        SETTINGS_WINDOWS, // "Windows"
        SETTINGS_WINDOWS_OPTIONS, // "Window options"
        SETTINGS_WRITE_BUFFER, // "Write buffer size"
        SETTINGS_ZDC_PROGRESS_OVERRIDE, // "Override system colors"
        SETTINGS_ZDC_PROGRESS_OVERRIDE2, // "Override system colors"
        SHARED, // "Shared"
        SHARED_FILES, // "Shared Files"
        SHOW_POPUP_AWAY, // "Display popup in away mode only"
        SHOW_POPUP_MINIMIZED, // "Display popup when minimized only"
        SHOW_SPEED, // "Show speed"
        SHOW_LIMIT, // "Show limiter"
        SHOW_SLOTS, // "Show slots"
        CUST_DESC, // "Description customization"
        SHUTDOWN, // "Shutdown computer"
        SHUTDOWN_ACTION, // "Shutdown action"
        SHUTDOWN_OFF, // "Shutdown sequence deactivated..."
        SHUTDOWN_ON, // "Shutdown sequence activated..."
        SIZE, // "Size"
        SIZE_MIN, // "Min Size"
        SKIP_RENAME, // "New virtual name matches old name, skipping..."
        SLOT_GRANTED, // "Slot granted"
        SLOTS, // "Slots"
        SLOTS_SET, // "Slots set"
        SLOW_USER, // "Slow user"
        SMALL_FILE_SIZE_SET, // "Small file size set"
        SOCKS_AUTH_FAILED, // "Socks server authentication failed (bad login / password?)"
        SOCKS_AUTH_UNSUPPORTED, // "The socks server doesn't support login / password authentication"
        SOCKS_FAILED, // "The socks server failed establish a connection"
        SOCKS_NEEDS_AUTH, // "The socks server requires authentication"
        SOCKS_SETUP_ERROR, // "Failed to set up the socks server for UDP relay (check socks address and port)"
        SOUND_DOWNLOAD_BEGINS, // "Download begins"
        SOUND_DOWNLOAD_FINISHED, // "Download finished"
        SOUND_EXCEPTION, // "Unhandled Exception"
        SOUND_FAKER_FOUND, // "Faker found"
        SOUND_SOURCE_ADDED, // "Alternate source added"
        SOUND_TTH_INVALID, // "File is corrupted"
        SOUND_TYPING_NOTIFY, // "Typing notification"
        SOUND_UPLOAD_FINISHED, // "Upload finished"
        SOURCE_TOO_OLD, // "Remote client does not fully support TTH - cannot download"
        SOURCE_TYPE, // "Source Type"
        SPECIFY_SEARCH_STRING, // "Specify a search string"
        SPECIFY_SERVER, // "Specify a server to connect to"
        SPEED, // "Speed"
        STATUS, // "Status"
        STORED_PASSWORD_SENT, // "Stored password sent..."
        STRING_NOT_FOUND, // "String not found: "
        SUSPEND, // "Suspend"
        TABS_ON_TOP, // "Tabs on top"
        TAG, // "Tag"
        TARGET_FILENAME_TOO_LONG, // "Target filename too long"
        TB, // "TB"
        TCP_PORT_BUSY, // "Unable to open TCP/TLS port. File transfers will not work correctly until you change settings or turn off any application that might be using the TCP/TLS port"
        TEXT_FAKEPERCENT, // "Percent fake share accepted"
        TEXT_MANUAL, // "Manual settings of number of segments"
        TIME, // "Time"
        TIME_LEFT, // "Time left"
        TIMESTAMP_HELP, // "\r\n- %a - Abbreviated weekday name\r\n- %A - Full weekday name\r\n- %b - Abbreviated month name\r\n- %B - Full month name\r\n- %c - Date and time representation appropriate for locale\r\n- %d - Day of month as decimal number (01  31)\r\n- %H - Hour in 24-hour format (00  23)\r\n- %I - Hour in 12-hour format (01  12)\r\n- %j - Day of year as decimal number (001  366)\r\n- %m - Month as decimal number (01  12)\r\n- %M - Minute as decimal number (00  59)\r\n- %p - Current locale's A.M./P.M. indicator for 12-hour clock\r\n- %S - Second as decimal number (00  59)\r\n- %U - Week of year as decimal number, with Sunday as first day of week (00  53)\r\n- %w - Weekday as decimal number (0  6; Sunday is 0)\r\n- %W - Week of year as decimal number, with Monday as first day of week (00  53)\r\n- %x - Date representation for current locale\r\n- %X - Time representation for current locale\r\n- %y - Year without century, as decimal number (00  99)\r\n- %Y - Year with century, as decimal number\r\n- %z, %Z - Either the time-zone name or time zone abbreviation, depending on registry settings; no characters if time zone is unknown\r\n- %% - Percent sign\r\n\r\nDefault: %H:%M:%S"
        TIMESTAMP_HELP_DESC, // "Timestamps Help"
        TIMESTAMPS_DISABLED, // "Timestamps disabled"
        TIMESTAMPS_ENABLED, // "Timestamps enabled"
        TOO_MUCH_DATA, // "More data was sent than was expected"
        TOTAL, // "Total: "
        TRANSFERLISTDBLCLICKACTION, // "Transferlist double click action"
        TRANSFERRED, // "Transferred"
        TTH_ALREADY_SHARED, // "A file with the same hash already exists in your share"
        TTH_INCONSISTENCY, // "TTH Inconsistency"
        TTH_ROOT, // "TTH Root"
        TWO_COLORS, // "Two colors"
        TYPE, // "Type"
        UNABLE_TO_CREATE_THREAD, // "Unable to create thread"
        UNABLE_TO_OPEN_FILELIST, // "Unable to open filelist: "
        UNABLE_TO_RENAME, // "Unable to rename "
        UNABLE_TO_SEND_FILE, // "Unable to send file "
        UNIGNORE_USER, // "Unignore User"
        UNKNOWN, // "Unknown"
        UNKNOWN_COMMAND, // "Unknown command: "
        UNKNOWN_ERROR, // "Unknown error: 0x%x"                
        UPDATE_CHECK, // "Update check"
        UPLOAD_FINISHED_IDLE, // "Upload finished, idle..."
        UPLOAD_STARTING, // "Upload starting..."
        UPLOADED_BYTES, // "Uploaded %s (%.01f%%) in %s"
        UPLOADED_TO, // " uploaded to "
        UPNP_FAILED_TO_CREATE_MAPPINGS, // "Failed to create port mappings. Please set up your NAT yourself."
        UPNP_FAILED_TO_GET_EXTERNAL_IP, // "Failed to get external IP via  UPnP. Please set it yourself."
        UPNP_FAILED_TO_REMOVE_MAPPINGS, // "Failed to remove port mappings"
        USER, // "User"
        USER_CMD_COMMAND, // "Command"
        USER_CMD_CONTEXT, // "Context"
        USER_CMD_FILELIST_MENU, // "Filelist Menu"
        USER_CMD_HUB, // "Hub IP / DNS (empty = all, 'op' = where operator)"
        USER_CMD_HUB_MENU, // "Hub Menu"
        USER_CMD_CHAT, // "Chat"
        USER_CMD_ONCE, // "Send once per nick"
        USER_CMD_PARAMETERS, // "Parameters"
        USER_CMD_PM, // "PM"
        USER_CMD_PREVIEW, // "Text sent to hub"
        USER_CMD_RAW, // "Raw"
        USER_CMD_SEARCH_MENU, // "Search Menu"
        USER_CMD_TO, // "To"
        USER_CMD_TYPE, // "Command Type"
        USER_CMD_USER_MENU, // "User Menu"
        USER_CMD_WINDOW, // "Create / Modify Command"
        USER_DESCRIPTION, // "User Description"
        USER_OFFLINE, // "User offline"
        USER_WENT_OFFLINE, // "User went offline"
        USER_WENT_ONLINE, // "User went online"
        USERINFO, // "Info User"
        USERLIST_ICONS, // "Userlist Icons"
        USERLISTDBLCLICKACTION, // "Userlist double click action"
        USERS, // "Users"
        VERSION, // "Version"
        VIDEO, // "Video"
        VIEW_AS_TEXT, // "View as text"
        VIRTUAL_NAME, // "Virtual name"
        VIRTUAL_NAME_EXISTS, // "Virtual directory name already exists"
        VIRTUAL_NAME_LONG, // "Name under which the others see the directory"
        WAITING, // "Waiting..."
        WAITING_FOR, // "Waiting for %i seconds before searching..."
        WAITING_TIME, // "Waiting time"
        WAITING_TO_RETRY, // "Waiting to retry..."
        WAITING_USERS, // "Waiting Users"
        WHATS_THIS, // "What's &this?"
        WHO_IS, // "Whois "
        WINAMP_HELP, // "/winamp - Works with Winamp 1.x, 2.x, 5.x (no Winamp 3 support)\r\n- %[version]        Numerical Version (ex: 2.91)\r\n- %[state]      Playing state (ex: stopped/paused/playing)\r\n- %[title]                Window title from Winamp - if you want to change this for mp3s, Winamp > Pref > Input > MPEG > Title\r\n- %[rawtitle]   Window title from Winamp (if %[title] not working propertly)\r\n- %[percent]    Percentage (ex. 40%)\r\n- %[length]     Length in minutes:seconds (ex: 04:09)\r\n- %[elapsed]   Time elapsed in minutes:seconds (ex. 03:51)\r\n- %[bar]         ASCII progress bar, 10 characters wide no including brackets (ex. [----|-----])\r\n- %[bitrate] Bitrate (ex. 128kbps)\r\n- %[sample]    Sample frequency (ex. 22kHz)\r\n- %[channels]   Number of channels (ex. stereo / mono)\r\n\r\nEmpty = Default String -> +me playing: %[title] at %[bitrate] <Winamp %[version]>\r\n\r\nNote about The KMPlayer:\r\nYou can use most of the features offered by /winamp command and all features of the media toolbar also with The KMPlayer.\r\nParameters that are known not to work (or return incorrect values) are %[version], %[bitrate], %[sample] and %[channels].\r\nIt's also very likely that you will need to use %[rawtitle] instead of %[title] to get the correct output."
        WINAMP_HELP_DESC, // "Winamp Help"
        ZONEALARM_WARNING, // "ZoneAlarm was detected in your computer.  It is frequently responsible for corrupted downloads and is the cause of many \"rollback inconsistency\" errors.  Please uninstall it and use an alternate product.  "
        SETTINGS_STRIP_TOPIC, // "Hide hub topics"
        PASSWORD_DESC, // "Enter password"
        PASSWORD_TITLE, // "Password required"
        SETTINGS_SKIPLIST_SHARE, // "Share skiplist (wildcard: *, separator: ;)"
        CHECK_SETTINGS, // "Check connection"
        WINAMP_BACK, // "Back"
        WINAMP_PLAY, // "Play"
        WINAMP_PAUSE, // "Pause"
        WINAMP_NEXT, // "Next"
        WINAMP_STOP, // "Stop"
        WINAMP_VOL_UP, // "Volume up"
        WINAMP_VOL_HALF, // "Volume 50% / Mute"
        WINAMP_VOL_DOWN, // "Volume down"        
        WINAMP_SPAM, // "Post media spam to main chat"
        THRESHOLD, // "Threshold users"
        PG_PLUGIN, // "PeerGuardian Plugin"
        GET_IP, // "Get IP address"
        UPDATE_IP, // "Update IP on startup"
        PM_PREVIEW, // "Show preview of private message on popup"
        PRIO_FILE, // "Priority based on filename"
        PRIO_FILE_HIGHEST, // "Highest:"
        PRIO_FILE_LOWEST, // "Lowest:"
        POPUP_TIME, // "Popup time"
        SETTINGS_MISC, // "Misc"
        SET_SECONDARY_AWAY, // "Secondary away message"
        TICKS_SPEED_DOWN, // "5 ticks down speed:"
        TICKS_SPEED_UP, // "5 ticks up speed:"
        PSR_DELAY, // "Delay when sending $PSR (in seconds)"
        IP_IN_CHAT, // "Attempt to show users IP in chat"
        COUNTRY_IN_CHAT, // "Attempt to show users country in chat"
        NOON, // "Noon"
        MIDNIGHT, // "Midnight"
        AM, // " AM"
        PM, // " PM"
        HUB_SMALL, // "Start hubs minimized"
        SETTINGS_STATE, // "Save settings window state"
        ENABLE_HUBTOPIC, // "Enable $HubTopic support"
        BUFFERSIZE, // "Mainchat buffer size, max size ~2.1 billion (2^31)"
        HIDE_SHARE, // "Hide share in this hub (OP's only)"
        SHOW_JOINS, // "Show joins"
        STEALTH_MODE, // "Emulate DC++ in this hub"
        ALREADY_IGNORED, // "User is already in the list of ignored users!"
        IGNORED_USERS, // "Ignored users"
        IGNORE_CLEAR, // "Clear"
        FORMAT_BIU, // "Format bold, italics and underline in chat (may cause some display problems with MOTD's and ASCII pictures)"
        PROT_USERS, // "Protected prefixes"
        PROT_DESC, // "Exclude users from client checking (use ; as separator and * as wildcard)"
        WMP_HELP, // "/wmp - Works with Windows Media Player 9+\r\n- %[version] Version of Windows Media Player\r\n- %[fullversion]     Full version of Windows Media Player\r\n- %[status]     Pre-formatted status string from Windows Media Player\r\n- %[title]             Name of the currently playing item\r\n- %[elapsed]      Time elapsed in (HH:)MM:SS\r\n- %[percent]      Time elapsed presented as percentage from total length\r\n- %[bar]              ASCII progress bar, 10 characters wide no including brackets (ex. [----|-----])\r\n- %[length]  Full length of the current item in (HH:)MM:SS\r\n- %[artist]    Name of the artist for the currently playing item\r\n- %[album] Name of the album the current song is from\r\n- %[genre]        Genre of the current media\r\n- %[bitrate]      Bitrate for the playing media\r\n- %[year]      Year of album publiciation (no WMP9 support)\r\n- %[size]               Size of the currently playing file\r\n- %[rating]       Users rating, represented with *'s (if available)\r\n\r\nEmpty = Default String -> +me %[title] at %[bitrate] <Windows Media Player %[version]>"
        WMP_HELP_DESC, // "Windows Media Player Help"
        ITUNES_HELP, // "/itunes - For iTunes media spamming\r\n- %[version]    Numerical Version (ex: 7.0.2.16)\r\n- %[album]  Name of the album the current track is from\r\n- %[artist]      Artist of the current track\r\n- %[title]               Name of the currently playing track\r\n- %[genre]       Genre of the currently playing track\r\n- %[elapsed]    Time elapsed in minutes:seconds\r\n- %[percent] Time elapsed presented as percentage from total length\r\n- %[bar]              ASCII progress bar, 10 characters wide no including brackets (ex. [----|-----])\r\n- %[length]  Total length of the current track\r\n- %[bitrate]       Bitrate for the playing track (kbps)\r\n- %[frequency]  Frequency for the currently playing track (kHz)\r\n- %[year]    Year of publiciation/recording of the current track\r\n- %[size]                Size of the currently playing file\r\n- %[state]        Current state of iTunes (playing/stopped)\r\n\r\nEmpty = Default String -> +me playing: %[title] at %[bitrate] <iTunes %[version]>"
        ITUNES_HELP_DESC, // "iTunes Help"
        MPC_HELP, // "/mpc - For Media Player Classic media spamming\r\n- %[filename]   Name of the file currently playing\r\n- %[title]                Name of the cyrrently playing item (without file extension)\r\n- %[size]                Size of the file currently playing\r\n- %[state]        Current state of Media Player Classic (playing/paused/stopped)\r\n- %[elapsed]  Time elapsed in minutes:seconds\r\n- %[percent] Time elapsed presented as percentage from total length\r\n- %[bar]              ASCII progress bar, 10 characters wide no including brackets (ex. [----|-----])\r\n- %[length]  Total length of the current file\r\n\r\nEmpty = Default String -> +me playing: %[title] <Media Player Classic>"
        MPC_HELP_DESC, // "Media Player Classic Help"
        NO_MEDIA_SPAM, // "Selected player doesn't support media spams"
        PROT_FAVS, // "Auto protect favourite users"
        RAW_TEXTS, // "Raw texts (don't enter your raw commands here)"
        SUPER_USER, // "Can bypass limiter"
        OPCHAT, // "OP Chat names (wildcards supported)"
        PG_BLOCKED, // "Blocked by PeerGuardian Plugin"
        EXCL_CHECKS, // "Exclude hub from automatic client/fake checking"
        POPUP_BACK_COLOR, // "&Back color"
        POPUP_FONT, // "&Msg text"
        POPUP_TITLE_FONT, // "&Title text"
        MAX_MSG_LENGTH, // "Max length"
        POPUP_IMAGE, // "Popup image"
        EXCEPTION_DIALOG, // "SababaDC has crashed..."
        EXCEPTION_HEADER, // "The following application error has occurred:"
        EXCEPTION_FOOTER, // "If this problem persists, copy the above exception information to the clipboard, and send it to SababaDC forums."
        EXCEPTION_RESTART, // "Reconnect after termination of the application"
        EXCEPTION_COPY, // "Copy Exception"
        EXCEPTION_CONTINUE, // "Continue"
        EXCEPTION_TERMINATE, // "Terminate Application"
        OPEN_LOGS_INTERNAL, // "Open log files internally (performance may decrase when opening huge log files)"
        NO_EMOTES_LINKS, // "Don't show emoticons in messages with links"
        COPY_MLINK_TEMPL, // "Copy magnet as web link"
        COPY_HTML_LINK, // "Copy magnet as HTML link"
        IGNORE_PRIVATE, // "Ignore private messages"
        UPLOAD_SPEED_LIMIT, // "Upload Speed Limit"
        SEND_TO_ALL_USERS, // "Send to All Users"
        BAN_SLOTS, // "Ban if open slot less than"
        BAN_SHARE, // "Ban if shared less than, Gb"
        BAN_LIMIT, // "Ban upl speed limit less, Kb"
        BAN_MESSAGE, // "Message on ban"
        BANMSG_PERIOD, // "Repeat PM period (0 - disable PM), min"
        BAN_STEALTH, // "Stealth ban"
        BAN_FORCE_PM, // "Send PM, even if client supports BanMsg in transfers list"
        BAN_SKIP_OPS, // "Don't ban OPs"
        EXTRASLOT_TO_DL, // "Extra-slot to users i'm downloading from"
        CLIENT_ID, // "Client ID and version"
        GIVE_EXTRA_SLOT, // "GiveExtraSlot"
        HIGH_PRIORITY, // "HighPriotity"
        NORMAL_PRIORITY, // "NormalPriotity"
        LOW_PRIORITY, // "LowPriotity"
        DNS_BARE, // "DNS"
        LOCATION_BARE, // "Location"
        USER_SUMMARY, // "Summary user report"
        USER_WAIT_MENU, // "User waiting files"
        NEED_USER_FILES_MENU, // "Queued downloads from user"
        MAGNET_DLG_SAVEAS, // "Save as..."
        BAN_COLOR_DLG, // "Ban Color"
        DUPE_COLOR_DLG, // "Dupe Color"
        MOD_COLOR_DLG, // "SababaDC-mod Colors"
        POPUP_FAVORITE_DISCONNECTED, // "Show popup on favorite user offline"
        FAVUSER_OFFLINE, // "Favorite user offline"
        MULTILINE_CHAT_INPUT, // "Multiline input field in chat window"
        EXTERNAL_PREVIEW, // "Preview text files in external program"
        EXTRA_SLOT_TIMEOUT, // "Extra-slot timeout"
        EXTRA_SLOT_TIME_FORMAT, // "Enter period (HH:MM or DD:HH:MM)"
        INVALID_TIME_FORMAT, // "Invalid time format"
        SLOT_GRANTED_MSG, // "grants you an extra-slot for"
        SLOT_REMOVED_MSG, // "removed your extra-slot"
        SEND_SLOTGRANT_MSG, // "Send PMs on grant/remove slot"
        ASK_SLOT, // "Ask slot"
        ASK_SLOT_TEMPLATE, // "hello %[nick]. plz gimme slot for %[filename]"
        FAVUSERLISTDBLCLICKACTION, // "Favorite user list double click action"
        SETTINGS_MESSAGES, // "Messages"
        SETTINGS_PROTECT_PRIVATE, // "Protect private area with password"
        SETTINGS_PASSWORD, // "Password"
        SETTINGS_PASSWORD_HINT, // "Password hint"
        DEF_PASSWORD, // "pokemon"
        DEF_PASSWORD_HINT, // "user has been disabled receiving PMs. use password *pokemon* in case of emergency. dont abuse: slot-askers will be banned+ignored forever and will not download even in queue order"
        FREE_PM_ACCESS, // "Free PM access"
        MSG_GUARDING_UPDATED, // "Guarding.p2p is now up-to-date."
        MSG_GUARDING_FAILED, // "Guarding.p2p download failed.\r\n"
        MSG_CLIENT_EXIST, // "A client profile with this name already exists"
        MSG_CLIENT_UPDATED, // "Client profiles now updated."
        MSG_CLIENT_FAILED, // "Client profiles download failed.\r\n"
        MSG_COMMAND_EMPTY, // "Name and command must not be empty"
        MSG_ADLSEARCH_HELP_TITLE, // "ADLSearch brief description"
        MSG_ADLSEARCH_HELP, // "ADLSearch is a tool for fast searching of directory listings downloaded from users. \nCreate a new ADLSearch entering 'avi' as search string for example. When you \ndownload a directory listing from a user, all avi-files will be placed in a special folder \ncalled <<<ADLSearch>>> for easy finding. It is almost the same as using the standard \n'Find' multiple times in a directory listing. \n\nSpecial options: \n- 'Active' check box selects if the search is used or not. \n- 'Source Type' can be the following options; 'Filename' matches search against filename, \n   'Directory' matches against current subdirectory and places the whole structure in the \n   special folder, 'Full Path' matches against whole directory + filename. \n- 'Destination Directory' selects the special output folder for a search. Multiple folders \n   with different names can exist simultaneously. \n- 'Min/Max Size' sets file size limits. This is not used for 'Directory' type searches. \n- 'Move Up'/'Move Down' can be used to organize the list of searches. \n\nThere is a new option in the context menu (right-click) for directory listings. It is called \n'Go to directory' and can be used to jump to the original location of the file or directory. \n\nExtra features:\n\n1) If you use %y.%m.%d in a search string it will be replaced by todays date. Switch \nplace on y/m/d, or leave any of them out to alter the substitution. If you use %[nick] \nit will be replaced by the nick of the user you download the directory listing from. \n\n2) If you name a destination directory 'discard', it will not be shown in the total result. \nUseful with the extra feature 3) below to remove uninteresting results. \n \n3) There is a switch called 'Break on first ADLSearch match' in Settings->Advanced'.  \nIf enabled, ADLSearch will stop after the first match for a specific file/directory. \nThe order in the ADLSearch windows is therefore important. Example: Add a search \nitem at the top of the list with string='xxx' and destination='discard'. It will catch \nmany pornographic files and they will not be included in any following search results. \n"
        MSG_ERROR_CERT_TITLE, // "Error generating certificate"
        MSG_UPDATE_MANUAL, // "Update through this system is possible once in a month only! (to save server resources)\r\n\t\tWould you like to perform manual upgrade?"
        MSG_REGEX_NO_MATCH_TAG, // "No match for tag."
        MSG_REGEX_INVALID_TAG, // "Invalid tag RegExp."
        MSG_REGEX_MATCH, // "It's a match!"
        MSG_REGEX_NO_MATCH_FOR_VERSION, // "No match for version."
        MSG_REGEX_INVALID_VESSION, // "Invalid version RegExp."
        MSG_REGEX_NO_MATCH_PK, // "No match for Pk."
        MSG_REGEX_INVALID_PK, // "Invalid Pk RegExp."
        MSG_REGEX_NO_MATCH, // "No match."
        MSG_REGEX_INVALID, // "Invalid RegExp."
        MSG_CRASHED, // "SababaDC just encountered an unhandled exception and will terminate. Please do not report this as a bug, as SababaDC was unable to collect the information needed for a useful bug report (Your Operating System doesn't support the functionality needed, probably because it's too old)."
        MSG_CRASHED_TITLE, // "SababaDC Has Crashed"
        MSG_CRASHED_NO_SYMBOLS, // "SababaDC has crashed and you don't have SababaDC.pdb file installed. Hence, I can't find out why it crashed, so don't report this as a bug unless you find a solution..."
        MSG_COMMON_CONTROLS, // "Your version of windows common controls is too old for SababaDC to run correctly, and you will most probably experience problems with the user interface. You should download version 5.80 or higher from the DC++ homepage or from Microsoft directly."
        MSG_ALREADY_RUNNING, // "There is already an instance of SababaDC running.\nDo you want to launch another instance anyway?"
        MSG_BETA_TIME_PASSED, // "This build's beta period has ended, please get new build from Area 51.\nIf you are reqular user please head to www.sababadc.com and download the latest stable version!"
        MSG_BETA_TIME_PASSED_TITLE, // "Beta Expiration [Compiled: %s]"
        MSG_ERROR, // "Error"
        MSG_REALLY_REMOVE, // "Do you really want to remove this item?"
        MSG_LOGIN_INCORRECT, // "Log-in incorrect, usage rights denied :("
        MSG_LOGIN_NO_MEMBER, // "You are not a member in appropriate usergroup, usage rights denied :("
        MSG_LOGIN_TOO_OLD, // "Your version is too old head to Area 51 for upgraded version!"
        MSG_LOGIN_NO_GUEST, // "Guest account is currently disabled, usage rights denied :("
        MSG_LOGIN_INVALID, // "Log-in invalid, usage rights denied :("
        MSG_LOGIN_PARSE_ERROR, // "There was an error while parsing response, please check that your build is unalerted legit alpha!"
        MSG_LOGIN_NO_USER, // "No data for this user found please make sure that you have an account, usage rights denied :("
        MSG_CONNECT_SERVER, // "There was an error while connecting to server, please try again later ;)"
        LOADING_SPLASH, // " Loading: %s "
        BROWSER, // "Browser"
        MENU_VIEW_TABS, // "Tabs bar\tCtrl+4"
        MENU_WINAMP_TOOLBAR, // "Media Toolbar\tCtrl+5"
        MENU_EXTRA_TOOLBAR, // "More commands\tCtrl+6"
        ABOUT, // "About"
        ABOUT_LATEST_BOX, // "Last version"
        ABOUT_TOTAL_BOX, // "Total"
        ABOUT_THANKS_BOX, // "Thanks"
        ABOUT_TOTAL, // "Download: %s ,Upload: %s\r\nRatio(Upload/Download): %.2f\r\nUptime: %s "
        ABOUT_COMPILED, // "Build %d [ %s ]"
        MSG_ERROR_SELECT_HUBS, // "You can select up to %d hubs"
        REMOVE_FROM_FAVORITES, // "Reomve from Favorites"
        SETTINGS_ONE_SEARCH_WINDOW, // "open only one search window from menu/toolbar"
        CHAT_COMMANDS, // "\t\t\t\t\t HELP \t\t\t\t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/refresh \t\t\t\t(refersh share) \t\t\t\t\t\t\n/savequeue \t\t\t\t(save Download Queue) \t\t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/search <string> \t\t\t(do a search...) \t\t\t\t\t\t\t\n/g <searchstring> \t\t\t(search Google) \t\t\t\t\t\t\n/imdb <imdbquery> \t\t\t(search film from IMDB database) \t\t\t\t\t\n/whois [IP] \t\t\t\t(do whois query for IP) \t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/slots # \t\t\t\t(upload slots) \t\t\t\t\t\t\t\n/extraslots # \t\t\t\t(extra slots for small files) \t\t\t\t\t\n/smallfilesize # \t\t\t\t(max small file size) \t\t\t\t\n/ts \t\t\t\t\t(timestamps on/off) \t\t\t\n/connection \t\t\t\t(show IP and port where connected) \t\t\t\t\n/showjoins \t\t\t\t(enable/disable showing joins & parts in mainchat) \t\n/shutdown \t\t\t\t(activate shutdown sequence) \t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/SababaDC\t\t\t\t(print SababaDC version to chat) \t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n/away <msg> \t\t\t\t(enable/disable away mode) \t\t\t\t\t\n/winamp \t\t\t\t(Winamp spam to chat) \t\t\t\t\t\n/w \t\t\t\t\t(Winamp spam to chat) \t\t\t\t\t\n/clear,/c \t\t\t\t(clear chat) \t\t\t\t\t\n/ignorelist \t\t\t\t(show ignorelist in chat) \t\t\t\t\t\n------------------------------------------------------------------------------------------------------------------------------------------------------------\n\t\tFor more help please head to http://www.sababadc.com \n------------------------------------------------------------------------------------------------------------------------------------------------------------\n"
        SETTINGS_OPEN_WEB_LINKS_INTERNAL, // "Open web links in internal browser"
        MENU_REMOVE_ALL_FAVORITES, // "Remove all favorites hubs\tCtrl+F11"
        MENU_ADD_OPEN_TO_FAVORITES, // "Add all open hubs to favorites\tCtrl+F12"
        FAVORITE_FILE, // "Favorites"
        MSG_ERROR_VERSION_BUG, // "Your version of SababaDC contains a serious bug that affects all users of the DC network or the security of your computer."
        MSG_ERROR_GET_NEW_ONE, // "\r\nPlease get a new one at "
        MSG_ERROR_NETLIMITER, // "NetLimiter is detected. It causes SababaDC crash. SababaDC will be closed now."
        MENU_LOCAL_SITE, // "Local site\tF9"
        SETTINGS_AUTO_CLOSE_DISCONNECTED, // "Close hub if disconnected ( every hour )"
        SETTINGS_AUTO_CLOSE_THERSHOLD, // "Close hub if under therehold users ( every hour )"        
        AUTO_CLOSE_GROUPS, // "Auto close groups"
        SETTINGS_SEARCH, // "Search"
        HUBLIST, // "Hub List"
        DOWNLOAD_OPTIONS, // "Download Options"
        GENERATE_EXCEPTIONINFO, // "exceptioninfo.txt was generated"
        MSG_ERROR_CRASHED, // "SababaDC Has Crashed"
        RESULT_LIMIT, // "Results limit"
        STOP_SEARCH, // "Stop search"
        NO_SEARCH_STRING, // "Empty string - no search done"
        NO_HUBS_TO_SEARCH, // "No hubs - no search done"
        SEARCH_READY, // "Ready"
        SEARCH_STOPPED, // "Search stopped"
        SEARCH_DONE, // "Search done"
        FIRST_TIME_NOTE, // "Generally you need share at least 1G cool stuff before you can download.\nDon't share the following:\n    . Windows directory,Temp directory\n    .  Entire drives,Installed application/games\n    .  Personal stuff,passwords\n    .  Illegal files"
        SETTINGS_AUTO_HIDE_TABS_BAR, // "Auto hide tabs bar after 60 seconds"
        SETTINGS_AUTO_HIDE_TRANSFER_BAR, // "Auto hide transfer window after 60 seconds"
        LINK_PREVIEW, // "Download preview players for SababaDC"
        WS_TITLE_NOT_FOUND, // "Page Not found"
        WS_TITLE_INDEX, // "Download Queue"
        WS_TITLE_DOWNLOAD_QUEUE, // "Download Queue"
        WS_TITLE_FINISHED_DOWNLOADS, // "Finished Downloads"
        WS_TITLE_UPLOAD_QUEUE, // "Upload Queue"
        WS_TITLE_FINISHED_UPLOADS, // "Finished Uploads"
        WS_TITLE_LOGS, // "Logs"
        WS_TITLE_SYSTEM_LOGS, // "System Logs"
        WS_TITLE_SEARCH, // "Search"
        WS_TITLE_LOGOUT, // "Logout"
        WS_TITLE_SHUTDOWN, // "Shutdown"
        WS_TITLE_REBOOT, // "Reboot"
        WS_TITLE_SUSPEND, // "Suspend"
        WS_TITLE_LOGOFF, // "Logoff"
        WS_TITLE_SWITCH, // "Switch"
        WS_TITLE_LOGIN, // "Login"
        WS_LOGIN_USERNAME, // "Username"
        WS_LOGIN_PASSWORD, // "Password"
        WS_LOGIN_LOGIN, // "Login"
        WS_REQUEST_SENT, // "Request sent to remote PC :)"
        WS_SEARCHING, // "Searching... Please wait 30 seconds."
        WS_STOP_SEARCH, // "Stop"
        WS_SEARCH, // "Search"
        WS_SEARCH_FOR, // "Search for"
        WS_LOG_DISABLED, // "Webserver logging not enabled."
        WS_SYSLOG_DISABLED, // "Logging not enabled."
        WS_ERROR, // "Error: "
        WS_FOOTER, // "SababaDC Development Team"
        SETTINGS_THEME, // "Themes"
        SETTINGS_THEME_FILE_LABEL, // "Theme file"
        SETTINGS_THEME_IMPORT, // "Import ..."
        SETTINGS_THEME_OPTIONS_LABEL, // "Theme options"
        SETTINGS_THEME_EXPORT, // "Export ..."
        SETTINGS_THEME_UPDATE, // "Update"
		SEARCH_DISABLED, // "Search Disabled"
		LIMIT_TIME_LABEL, // "Limit time"
		LIMIT_TIME_UNITS, // "hours"
		READD_SOURCES_AFTER_LIMIT, // "Readd sources to queue items after transfer limit ends"
		READJUST_CHUNKS, // "Readjust chunks at end"
		DEFAULT_RESULT_LIMIT, // "Default limit for search results"
		EMULATE_DCPP, // "Emulate DC++"
		REMOVE_OFFILNE_USERS, // "Remove offilne user from queue every 10 minutes"
        LAST // @DontAdd
};
