#pragma once
#include "mainfrm.h"
#include "Exdisp.h"

#define ADDRESS_MAP 100

class Browser : public MDITabChildWindowImpl<Browser, RGB(0, 0, 0), IDR_BROWSER>, public StaticFrame<Browser, ResourceManager::BROWSER>
{
public:
    DECLARE_FRAME_WND_CLASS_EX(_T("BrowserHome"), IDR_BROWSER, 0, COLOR_3DFACE);
    Browser();
    ~Browser();
    virtual void OnFinalMessage(HWND /*hWnd*/) {
        delete this;
    }

    typedef MDITabChildWindowImpl<Browser, RGB(0, 0, 0), IDR_BROWSER> baseClass;
    BEGIN_MSG_MAP(Browser)
        MESSAGE_HANDLER(WM_CREATE, OnCreate)
        MESSAGE_HANDLER(WM_CLOSE, OnClose)
        COMMAND_ID_HANDLER(IDC_GOBACK, onGoBack)
        COMMAND_ID_HANDLER(IDC_GOFORWARD, onGoForward)
        COMMAND_ID_HANDLER(IDC_GOHOME, onGoHome)
        COMMAND_ID_HANDLER(IDC_REFRESH, onRefresh)
        COMMAND_ID_HANDLER(IDC_STOP, onStop)
        COMMAND_ID_HANDLER(IDC_GOADDRESS,onGoAddress)
        CHAIN_MSG_MAP(baseClass)
    ALT_MSG_MAP(ADDRESS_MAP)
        MESSAGE_HANDLER(WM_CHAR, onAddressChar)
    END_MSG_MAP()

    LRESULT OnCreate(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& bHandled);
    void UpdateLayout(BOOL bResizeBars = TRUE);
    HWND createToolbar();

    LRESULT onGoBack(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/){
        web->GoBack();
        return 0;
    }
    LRESULT onGoForward(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/){
        web->GoForward();
        return 0;
    }
    LRESULT onGoHome(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/){
        goHome();
        return 0;
    }
    LRESULT onRefresh(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/){
        web->Refresh();
        return 0;
    }
    LRESULT onStop(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/){
        web->Stop();
        return 0;
    }
    LRESULT onGoAddress(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/){
        goAddress();
        return 0;
    }
    LRESULT OnClose(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& bHandled){
        bHandled = FALSE;
        return 0;
    }
    LRESULT onAddressChar(UINT uMsg, WPARAM wParam, LPARAM /*lParam*/, BOOL& bHandled);
    
    void goAddress();
        void go(const tstring& url){
      web->Navigate(BSTR(url.c_str()), NULL, NULL, NULL, NULL);
        }
	void goHome() {
		web->Navigate(BSTR(Text::toT(version.link_home).c_str()), NULL, NULL, NULL, NULL);
	}
    void load();
    void save();
private:
    CAxWindow browser;
    IWebBrowser2* web;
    CToolBarCtrl ctrlToolbar;
    CComboBox address;
    CContainedWindow addressContainer;
    CContainedWindow addressEditContainer;
    CImageList largeImages, largeImagesHot;
    
    TStringList lastAddresses;

    class ATL_NO_VTABLE browserevents {
    } events;
};


